## org.eclipse.ocl.ecore
Interface EcorePackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  EcorePackageImpl

    public interface EcorePackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `EcoreFactory`

Nested Class Summary
`static interface` `EcorePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ANY_TYPE` The meta object id for the '`Any Type`' class
`static int` `ANY_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `ANY_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ANY_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `ANY_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `ANY_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `ANY_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `ANY_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `ANY_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `ANY_TYPE_FEATURE_COUNT` The number of structural features of the 'Any Type' class
`static int` `ASSOCIATION_CLASS_CALL_EXP` The meta object id for the '`Association Class Call Exp`' class
`static int` `ASSOCIATION_CLASS_CALL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ASSOCIATION_CLASS_CALL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE` The feature id for the 'Navigation Source' reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__QUALIFIER` The feature id for the 'Qualifier' containment reference list
`static int` `ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS` The feature id for the 'Referred Association Class' reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Association Class Call Exp' class
`static int` `BAG_TYPE` The meta object id for the '`Bag Type`' class
`static int` `BAG_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `BAG_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `BAG_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `BAG_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `BAG_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `BAG_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `BAG_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `BAG_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `BAG_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `BAG_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `BAG_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `BAG_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `BAG_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `BAG_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `BAG_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `BAG_TYPE_FEATURE_COUNT` The number of structural features of the 'Bag Type' class
`static int` `BOOLEAN_LITERAL_EXP` The meta object id for the '`Boolean Literal Exp`' class
`static int` `BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL` The feature id for the 'Boolean Symbol' attribute
`static int` `BOOLEAN_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `BOOLEAN_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `BOOLEAN_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `BOOLEAN_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `BOOLEAN_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `BOOLEAN_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `BOOLEAN_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `BOOLEAN_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `BOOLEAN_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `BOOLEAN_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `BOOLEAN_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `BOOLEAN_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `BOOLEAN_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Boolean Literal Exp' class
`static int` `CALL_EXP` The meta object id for the '`Call Exp`' class
`static int` `CALL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `CALL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `CALL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `CALL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `CALL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `CALL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `CALL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `CALL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `CALL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `CALL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Call Exp' class
`static int` `CALL_OPERATION_ACTION` The meta object id for the '`Call Operation Action`' class
`static int` `CALL_OPERATION_ACTION__OPERATION` The feature id for the 'Operation' reference
`static int` `CALL_OPERATION_ACTION_FEATURE_COUNT` The number of structural features of the 'Call Operation Action' class
`static int` `COLLECTION_ITEM` The meta object id for the '`Collection Item`' class
`static int` `COLLECTION_ITEM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `COLLECTION_ITEM__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `COLLECTION_ITEM__ETYPE` The feature id for the 'EType' reference
`static int` `COLLECTION_ITEM__ITEM` The feature id for the 'Item' containment reference
`static int` `COLLECTION_ITEM__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `COLLECTION_ITEM__MANY` The feature id for the 'Many' attribute
`static int` `COLLECTION_ITEM__NAME` The feature id for the 'Name' attribute
`static int` `COLLECTION_ITEM__ORDERED` The feature id for the 'Ordered' attribute
`static int` `COLLECTION_ITEM__REQUIRED` The feature id for the 'Required' attribute
`static int` `COLLECTION_ITEM__UNIQUE` The feature id for the 'Unique' attribute
`static int` `COLLECTION_ITEM__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `COLLECTION_ITEM_FEATURE_COUNT` The number of structural features of the 'Collection Item' class
`static int` `COLLECTION_LITERAL_EXP` The meta object id for the '`Collection Literal Exp`' class
`static int` `COLLECTION_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `COLLECTION_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `COLLECTION_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `COLLECTION_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `COLLECTION_LITERAL_EXP__KIND` The feature id for the 'Kind' attribute
`static int` `COLLECTION_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `COLLECTION_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `COLLECTION_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `COLLECTION_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `COLLECTION_LITERAL_EXP__PART` The feature id for the 'Part' containment reference list
`static int` `COLLECTION_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `COLLECTION_LITERAL_EXP__SIMPLE_RANGE` The feature id for the 'Simple Range' attribute
`static int` `COLLECTION_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `COLLECTION_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `COLLECTION_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `COLLECTION_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Collection Literal Exp' class
`static int` `COLLECTION_LITERAL_PART` The meta object id for the '`Collection Literal Part`' class
`static int` `COLLECTION_LITERAL_PART__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `COLLECTION_LITERAL_PART__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `COLLECTION_LITERAL_PART__ETYPE` The feature id for the 'EType' reference
`static int` `COLLECTION_LITERAL_PART__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `COLLECTION_LITERAL_PART__MANY` The feature id for the 'Many' attribute
`static int` `COLLECTION_LITERAL_PART__NAME` The feature id for the 'Name' attribute
`static int` `COLLECTION_LITERAL_PART__ORDERED` The feature id for the 'Ordered' attribute
`static int` `COLLECTION_LITERAL_PART__REQUIRED` The feature id for the 'Required' attribute
`static int` `COLLECTION_LITERAL_PART__UNIQUE` The feature id for the 'Unique' attribute
`static int` `COLLECTION_LITERAL_PART__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `COLLECTION_LITERAL_PART_FEATURE_COUNT` The number of structural features of the 'Collection Literal Part' class
`static int` `COLLECTION_RANGE` The meta object id for the '`Collection Range`' class
`static int` `COLLECTION_RANGE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `COLLECTION_RANGE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `COLLECTION_RANGE__ETYPE` The feature id for the 'EType' reference
`static int` `COLLECTION_RANGE__FIRST` The feature id for the 'First' containment reference
`static int` `COLLECTION_RANGE__LAST` The feature id for the 'Last' containment reference
`static int` `COLLECTION_RANGE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `COLLECTION_RANGE__MANY` The feature id for the 'Many' attribute
`static int` `COLLECTION_RANGE__NAME` The feature id for the 'Name' attribute
`static int` `COLLECTION_RANGE__ORDERED` The feature id for the 'Ordered' attribute
`static int` `COLLECTION_RANGE__REQUIRED` The feature id for the 'Required' attribute
`static int` `COLLECTION_RANGE__UNIQUE` The feature id for the 'Unique' attribute
`static int` `COLLECTION_RANGE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `COLLECTION_RANGE_FEATURE_COUNT` The number of structural features of the 'Collection Range' class
`static int` `COLLECTION_TYPE` The meta object id for the '`Collection Type`' class
`static int` `COLLECTION_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `COLLECTION_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `COLLECTION_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `COLLECTION_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `COLLECTION_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `COLLECTION_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `COLLECTION_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `COLLECTION_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `COLLECTION_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `COLLECTION_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `COLLECTION_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `COLLECTION_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `COLLECTION_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `COLLECTION_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `COLLECTION_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `COLLECTION_TYPE_FEATURE_COUNT` The number of structural features of the 'Collection Type' class
`static int` `CONSTRAINT` The meta object id for the '`Constraint`' class
`static int` `CONSTRAINT__CONSTRAINED_ELEMENTS` The feature id for the 'Constrained Elements' reference list
`static int` `CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `CONSTRAINT__NAME` The feature id for the 'Name' attribute
`static int` `CONSTRAINT__SPECIFICATION` The feature id for the 'Specification' containment reference
`static int` `CONSTRAINT__STEREOTYPE` The feature id for the 'Stereotype' attribute
`static int` `CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Constraint' class
`static String` `eCONTENT_TYPE` The package content type ID
`static EcorePackage` `eINSTANCE` The singleton instance of the package
`static int` `ELEMENT_TYPE` The meta object id for the '`Element Type`' class
`static int` `ELEMENT_TYPE__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` `ELEMENT_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `ELEMENT_TYPE__EALL_ATTRIBUTES` The feature id for the 'EAll Attributes' reference list
`static int` `ELEMENT_TYPE__EALL_CONTAINMENTS` The feature id for the 'EAll Containments' reference list
`static int` `ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES` The feature id for the 'EAll Generic Super Types' reference list
`static int` `ELEMENT_TYPE__EALL_OPERATIONS` The feature id for the 'EAll Operations' reference list
`static int` `ELEMENT_TYPE__EALL_REFERENCES` The feature id for the 'EAll References' reference list
`static int` `ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES` The feature id for the 'EAll Structural Features' reference list
`static int` `ELEMENT_TYPE__EALL_SUPER_TYPES` The feature id for the 'EAll Super Types' reference list
`static int` `ELEMENT_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ELEMENT_TYPE__EATTRIBUTES` The feature id for the 'EAttributes' reference list
`static int` `ELEMENT_TYPE__EGENERIC_SUPER_TYPES` The feature id for the 'EGeneric Super Types' containment reference list
`static int` `ELEMENT_TYPE__EID_ATTRIBUTE` The feature id for the 'EID Attribute' reference
`static int` `ELEMENT_TYPE__EOPERATIONS` The feature id for the 'EOperations' containment reference list
`static int` `ELEMENT_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `ELEMENT_TYPE__EREFERENCES` The feature id for the 'EReferences' reference list
`static int` `ELEMENT_TYPE__ESTRUCTURAL_FEATURES` The feature id for the 'EStructural Features' containment reference list
`static int` `ELEMENT_TYPE__ESUPER_TYPES` The feature id for the 'ESuper Types' reference list
`static int` `ELEMENT_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `ELEMENT_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `ELEMENT_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `ELEMENT_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `ELEMENT_TYPE__INTERFACE` The feature id for the 'Interface' attribute
`static int` `ELEMENT_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `ELEMENT_TYPE_FEATURE_COUNT` The number of structural features of the 'Element Type' class
`static String` `eNAME` The package name
`static String` `eNS_PREFIX` The package namespace name
`static String` `eNS_URI` The package namespace URI
`static int` `ENUM_LITERAL_EXP` The meta object id for the '`Enum Literal Exp`' class
`static int` `ENUM_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ENUM_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `ENUM_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ENUM_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `ENUM_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `ENUM_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `ENUM_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `ENUM_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL` The feature id for the 'Referred Enum Literal' reference
`static int` `ENUM_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `ENUM_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ENUM_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `ENUM_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `ENUM_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Enum Literal Exp' class
`static int` `EXPRESSION_IN_OCL` The meta object id for the '`Expression In OCL`' class
`static int` `EXPRESSION_IN_OCL__BODY_EXPRESSION` The feature id for the 'Body Expression' containment reference
`static int` `EXPRESSION_IN_OCL__CONTEXT_VARIABLE` The feature id for the 'Context Variable' containment reference
`static int` `EXPRESSION_IN_OCL__PARAMETER_VARIABLE` The feature id for the 'Parameter Variable' containment reference list
`static int` `EXPRESSION_IN_OCL__RESULT_VARIABLE` The feature id for the 'Result Variable' containment reference
`static int` `EXPRESSION_IN_OCL_FEATURE_COUNT` The number of structural features of the 'Expression In OCL' class
`static int` `FEATURE_CALL_EXP` The meta object id for the '`Feature Call Exp`' class
`static int` `FEATURE_CALL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `FEATURE_CALL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `FEATURE_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `FEATURE_CALL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `FEATURE_CALL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `FEATURE_CALL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `FEATURE_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `FEATURE_CALL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `FEATURE_CALL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `FEATURE_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `FEATURE_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `FEATURE_CALL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `FEATURE_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `FEATURE_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `FEATURE_CALL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `FEATURE_CALL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `FEATURE_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Feature Call Exp' class
`static int` `IF_EXP` The meta object id for the '`If Exp`' class
`static int` `IF_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` `IF_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `IF_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `IF_EXP__ELSE_EXPRESSION` The feature id for the 'Else Expression' containment reference
`static int` `IF_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `IF_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `IF_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `IF_EXP__MANY` The feature id for the 'Many' attribute
`static int` `IF_EXP__NAME` The feature id for the 'Name' attribute
`static int` `IF_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `IF_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `IF_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `IF_EXP__THEN_EXPRESSION` The feature id for the 'Then Expression' containment reference
`static int` `IF_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `IF_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `IF_EXP_FEATURE_COUNT` The number of structural features of the 'If Exp' class
`static int` `INTEGER_LITERAL_EXP` The meta object id for the '`Integer Literal Exp`' class
`static int` `INTEGER_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `INTEGER_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `INTEGER_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `INTEGER_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `INTEGER_LITERAL_EXP__INTEGER_SYMBOL` The feature id for the 'Integer Symbol' attribute
`static int` `INTEGER_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `INTEGER_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `INTEGER_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `INTEGER_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `INTEGER_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `INTEGER_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `INTEGER_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `INTEGER_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `INTEGER_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Integer Literal Exp' class
`static int` `INVALID_LITERAL_EXP` The meta object id for the '`Invalid Literal Exp`' class
`static int` `INVALID_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `INVALID_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `INVALID_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `INVALID_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `INVALID_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `INVALID_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `INVALID_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `INVALID_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `INVALID_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `INVALID_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `INVALID_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `INVALID_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `INVALID_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Invalid Literal Exp' class
`static int` `INVALID_TYPE` The meta object id for the '`Invalid Type`' class
`static int` `INVALID_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `INVALID_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `INVALID_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `INVALID_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `INVALID_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `INVALID_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `INVALID_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `INVALID_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `INVALID_TYPE_FEATURE_COUNT` The number of structural features of the 'Invalid Type' class
`static int` `ITERATE_EXP` The meta object id for the '`Iterate Exp`' class
`static int` `ITERATE_EXP__BODY` The feature id for the 'Body' containment reference
`static int` `ITERATE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ITERATE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `ITERATE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ITERATE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `ITERATE_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` `ITERATE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `ITERATE_EXP__MANY` The feature id for the 'Many' attribute
`static int` `ITERATE_EXP__NAME` The feature id for the 'Name' attribute
`static int` `ITERATE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `ITERATE_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `ITERATE_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `ITERATE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `ITERATE_EXP__RESULT` The feature id for the 'Result' containment reference
`static int` `ITERATE_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `ITERATE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ITERATE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `ITERATE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `ITERATE_EXP_FEATURE_COUNT` The number of structural features of the 'Iterate Exp' class
`static int` `ITERATOR_EXP` The meta object id for the '`Iterator Exp`' class
`static int` `ITERATOR_EXP__BODY` The feature id for the 'Body' containment reference
`static int` `ITERATOR_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ITERATOR_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `ITERATOR_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ITERATOR_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `ITERATOR_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` `ITERATOR_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `ITERATOR_EXP__MANY` The feature id for the 'Many' attribute
`static int` `ITERATOR_EXP__NAME` The feature id for the 'Name' attribute
`static int` `ITERATOR_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `ITERATOR_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `ITERATOR_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `ITERATOR_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `ITERATOR_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `ITERATOR_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ITERATOR_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `ITERATOR_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `ITERATOR_EXP_FEATURE_COUNT` The number of structural features of the 'Iterator Exp' class
`static int` `LET_EXP` The meta object id for the '`Let Exp`' class
`static int` `LET_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `LET_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `LET_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `LET_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `LET_EXP__IN` The feature id for the 'In' containment reference
`static int` `LET_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `LET_EXP__MANY` The feature id for the 'Many' attribute
`static int` `LET_EXP__NAME` The feature id for the 'Name' attribute
`static int` `LET_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `LET_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `LET_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `LET_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `LET_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `LET_EXP__VARIABLE` The feature id for the 'Variable' containment reference
`static int` `LET_EXP_FEATURE_COUNT` The number of structural features of the 'Let Exp' class
`static int` `LITERAL_EXP` The meta object id for the '`Literal Exp`' class
`static int` `LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Literal Exp' class
`static int` `LOOP_EXP` The meta object id for the '`Loop Exp`' class
`static int` `LOOP_EXP__BODY` The feature id for the 'Body' containment reference
`static int` `LOOP_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `LOOP_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `LOOP_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `LOOP_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `LOOP_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` `LOOP_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `LOOP_EXP__MANY` The feature id for the 'Many' attribute
`static int` `LOOP_EXP__NAME` The feature id for the 'Name' attribute
`static int` `LOOP_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `LOOP_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `LOOP_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `LOOP_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `LOOP_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `LOOP_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `LOOP_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `LOOP_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `LOOP_EXP_FEATURE_COUNT` The number of structural features of the 'Loop Exp' class
`static int` `MESSAGE_EXP` The meta object id for the '`Message Exp`' class
`static int` `MESSAGE_EXP__ARGUMENT` The feature id for the 'Argument' containment reference list
`static int` `MESSAGE_EXP__CALLED_OPERATION` The feature id for the 'Called Operation' containment reference
`static int` `MESSAGE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `MESSAGE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `MESSAGE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `MESSAGE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `MESSAGE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `MESSAGE_EXP__MANY` The feature id for the 'Many' attribute
`static int` `MESSAGE_EXP__NAME` The feature id for the 'Name' attribute
`static int` `MESSAGE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `MESSAGE_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `MESSAGE_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `MESSAGE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `MESSAGE_EXP__SENT_SIGNAL` The feature id for the 'Sent Signal' containment reference
`static int` `MESSAGE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `MESSAGE_EXP__TARGET` The feature id for the 'Target' containment reference
`static int` `MESSAGE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `MESSAGE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `MESSAGE_EXP_FEATURE_COUNT` The number of structural features of the 'Message Exp' class
`static int` `MESSAGE_TYPE` The meta object id for the '`Message Type`' class
`static int` `MESSAGE_TYPE__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` `MESSAGE_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `MESSAGE_TYPE__EALL_ATTRIBUTES` The feature id for the 'EAll Attributes' reference list
`static int` `MESSAGE_TYPE__EALL_CONTAINMENTS` The feature id for the 'EAll Containments' reference list
`static int` `MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES` The feature id for the 'EAll Generic Super Types' reference list
`static int` `MESSAGE_TYPE__EALL_OPERATIONS` The feature id for the 'EAll Operations' reference list
`static int` `MESSAGE_TYPE__EALL_REFERENCES` The feature id for the 'EAll References' reference list
`static int` `MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES` The feature id for the 'EAll Structural Features' reference list
`static int` `MESSAGE_TYPE__EALL_SUPER_TYPES` The feature id for the 'EAll Super Types' reference list
`static int` `MESSAGE_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `MESSAGE_TYPE__EATTRIBUTES` The feature id for the 'EAttributes' reference list
`static int` `MESSAGE_TYPE__EGENERIC_SUPER_TYPES` The feature id for the 'EGeneric Super Types' containment reference list
`static int` `MESSAGE_TYPE__EID_ATTRIBUTE` The feature id for the 'EID Attribute' reference
`static int` `MESSAGE_TYPE__EOPERATIONS` The feature id for the 'EOperations' containment reference list
`static int` `MESSAGE_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `MESSAGE_TYPE__EREFERENCES` The feature id for the 'EReferences' reference list
`static int` `MESSAGE_TYPE__ESTRUCTURAL_FEATURES` The feature id for the 'EStructural Features' containment reference list
`static int` `MESSAGE_TYPE__ESUPER_TYPES` The feature id for the 'ESuper Types' reference list
`static int` `MESSAGE_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `MESSAGE_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `MESSAGE_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `MESSAGE_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `MESSAGE_TYPE__INTERFACE` The feature id for the 'Interface' attribute
`static int` `MESSAGE_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `MESSAGE_TYPE__REFERRED_OPERATION` The feature id for the 'Referred Operation' reference
`static int` `MESSAGE_TYPE__REFERRED_SIGNAL` The feature id for the 'Referred Signal' reference
`static int` `MESSAGE_TYPE_FEATURE_COUNT` The number of structural features of the 'Message Type' class
`static int` `NAVIGATION_CALL_EXP` The meta object id for the '`Navigation Call Exp`' class
`static int` `NAVIGATION_CALL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `NAVIGATION_CALL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `NAVIGATION_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `NAVIGATION_CALL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `NAVIGATION_CALL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `NAVIGATION_CALL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `NAVIGATION_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `NAVIGATION_CALL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `NAVIGATION_CALL_EXP__NAVIGATION_SOURCE` The feature id for the 'Navigation Source' reference
`static int` `NAVIGATION_CALL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `NAVIGATION_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `NAVIGATION_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `NAVIGATION_CALL_EXP__QUALIFIER` The feature id for the 'Qualifier' containment reference list
`static int` `NAVIGATION_CALL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `NAVIGATION_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `NAVIGATION_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `NAVIGATION_CALL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `NAVIGATION_CALL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `NAVIGATION_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Navigation Call Exp' class
`static int` `NULL_LITERAL_EXP` The meta object id for the '`Null Literal Exp`' class
`static int` `NULL_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `NULL_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `NULL_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `NULL_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `NULL_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `NULL_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `NULL_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `NULL_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `NULL_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `NULL_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `NULL_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `NULL_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `NULL_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Null Literal Exp' class
`static int` `NUMERIC_LITERAL_EXP` The meta object id for the '`Numeric Literal Exp`' class
`static int` `NUMERIC_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `NUMERIC_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `NUMERIC_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `NUMERIC_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `NUMERIC_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `NUMERIC_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `NUMERIC_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `NUMERIC_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `NUMERIC_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `NUMERIC_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `NUMERIC_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `NUMERIC_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `NUMERIC_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Numeric Literal Exp' class
`static int` `OCL_EXPRESSION` The meta object id for the '`OCL Expression`' class
`static int` `OCL_EXPRESSION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `OCL_EXPRESSION__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `OCL_EXPRESSION__END_POSITION` The feature id for the 'End Position' attribute
`static int` `OCL_EXPRESSION__ETYPE` The feature id for the 'EType' reference
`static int` `OCL_EXPRESSION__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `OCL_EXPRESSION__MANY` The feature id for the 'Many' attribute
`static int` `OCL_EXPRESSION__NAME` The feature id for the 'Name' attribute
`static int` `OCL_EXPRESSION__ORDERED` The feature id for the 'Ordered' attribute
`static int` `OCL_EXPRESSION__REQUIRED` The feature id for the 'Required' attribute
`static int` `OCL_EXPRESSION__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `OCL_EXPRESSION__UNIQUE` The feature id for the 'Unique' attribute
`static int` `OCL_EXPRESSION__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `OCL_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'OCL Expression' class
`static int` `OPERATION_CALL_EXP` The meta object id for the '`Operation Call Exp`' class
`static int` `OPERATION_CALL_EXP__ARGUMENT` The feature id for the 'Argument' containment reference list
`static int` `OPERATION_CALL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `OPERATION_CALL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `OPERATION_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `OPERATION_CALL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `OPERATION_CALL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `OPERATION_CALL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `OPERATION_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `OPERATION_CALL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `OPERATION_CALL_EXP__OPERATION_CODE` The feature id for the 'Operation Code' attribute
`static int` `OPERATION_CALL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `OPERATION_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `OPERATION_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `OPERATION_CALL_EXP__REFERRED_OPERATION` The feature id for the 'Referred Operation' reference
`static int` `OPERATION_CALL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `OPERATION_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `OPERATION_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `OPERATION_CALL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `OPERATION_CALL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `OPERATION_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Operation Call Exp' class
`static int` `ORDERED_SET_TYPE` The meta object id for the '`Ordered Set Type`' class
`static int` `ORDERED_SET_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `ORDERED_SET_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `ORDERED_SET_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `ORDERED_SET_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ORDERED_SET_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `ORDERED_SET_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `ORDERED_SET_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `ORDERED_SET_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `ORDERED_SET_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `ORDERED_SET_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `ORDERED_SET_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `ORDERED_SET_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `ORDERED_SET_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ORDERED_SET_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `ORDERED_SET_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `ORDERED_SET_TYPE_FEATURE_COUNT` The number of structural features of the 'Ordered Set Type' class
`static int` `PRIMITIVE_LITERAL_EXP` The meta object id for the '`Primitive Literal Exp`' class
`static int` `PRIMITIVE_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `PRIMITIVE_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `PRIMITIVE_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `PRIMITIVE_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `PRIMITIVE_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `PRIMITIVE_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `PRIMITIVE_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `PRIMITIVE_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `PRIMITIVE_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `PRIMITIVE_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `PRIMITIVE_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `PRIMITIVE_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `PRIMITIVE_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Primitive Literal Exp' class
`static int` `PRIMITIVE_TYPE` The meta object id for the '`Primitive Type`' class
`static int` `PRIMITIVE_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `PRIMITIVE_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `PRIMITIVE_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `PRIMITIVE_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `PRIMITIVE_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `PRIMITIVE_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `PRIMITIVE_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `PRIMITIVE_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `PRIMITIVE_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `PRIMITIVE_TYPE_FEATURE_COUNT` The number of structural features of the 'Primitive Type' class
`static int` `PROPERTY_CALL_EXP` The meta object id for the '`Property Call Exp`' class
`static int` `PROPERTY_CALL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `PROPERTY_CALL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `PROPERTY_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `PROPERTY_CALL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `PROPERTY_CALL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `PROPERTY_CALL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `PROPERTY_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `PROPERTY_CALL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `PROPERTY_CALL_EXP__NAVIGATION_SOURCE` The feature id for the 'Navigation Source' reference
`static int` `PROPERTY_CALL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `PROPERTY_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `PROPERTY_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `PROPERTY_CALL_EXP__QUALIFIER` The feature id for the 'Qualifier' containment reference list
`static int` `PROPERTY_CALL_EXP__REFERRED_PROPERTY` The feature id for the 'Referred Property' reference
`static int` `PROPERTY_CALL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `PROPERTY_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `PROPERTY_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `PROPERTY_CALL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `PROPERTY_CALL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `PROPERTY_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Property Call Exp' class
`static int` `REAL_LITERAL_EXP` The meta object id for the '`Real Literal Exp`' class
`static int` `REAL_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `REAL_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `REAL_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `REAL_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `REAL_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `REAL_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `REAL_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `REAL_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `REAL_LITERAL_EXP__REAL_SYMBOL` The feature id for the 'Real Symbol' attribute
`static int` `REAL_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `REAL_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `REAL_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `REAL_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `REAL_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Real Literal Exp' class
`static int` `SEND_SIGNAL_ACTION` The meta object id for the '`Send Signal Action`' class
`static int` `SEND_SIGNAL_ACTION__SIGNAL` The feature id for the 'Signal' reference
`static int` `SEND_SIGNAL_ACTION_FEATURE_COUNT` The number of structural features of the 'Send Signal Action' class
`static int` `SEQUENCE_TYPE` The meta object id for the '`Sequence Type`' class
`static int` `SEQUENCE_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `SEQUENCE_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `SEQUENCE_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `SEQUENCE_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `SEQUENCE_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `SEQUENCE_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `SEQUENCE_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `SEQUENCE_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `SEQUENCE_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `SEQUENCE_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `SEQUENCE_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `SEQUENCE_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `SEQUENCE_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `SEQUENCE_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `SEQUENCE_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `SEQUENCE_TYPE_FEATURE_COUNT` The number of structural features of the 'Sequence Type' class
`static int` `SET_TYPE` The meta object id for the '`Set Type`' class
`static int` `SET_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `SET_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `SET_TYPE__ELEMENT_TYPE` The feature id for the 'Element Type' reference
`static int` `SET_TYPE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `SET_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `SET_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `SET_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `SET_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `SET_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `SET_TYPE__KIND` The feature id for the 'Kind' attribute
`static int` `SET_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `SET_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `SET_TYPE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `SET_TYPE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `SET_TYPE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `SET_TYPE_FEATURE_COUNT` The number of structural features of the 'Set Type' class
`static int` `STATE_EXP` The meta object id for the '`State Exp`' class
`static int` `STATE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `STATE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `STATE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `STATE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `STATE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `STATE_EXP__MANY` The feature id for the 'Many' attribute
`static int` `STATE_EXP__NAME` The feature id for the 'Name' attribute
`static int` `STATE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `STATE_EXP__REFERRED_STATE` The feature id for the 'Referred State' reference
`static int` `STATE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `STATE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `STATE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `STATE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `STATE_EXP_FEATURE_COUNT` The number of structural features of the 'State Exp' class
`static int` `STRING_LITERAL_EXP` The meta object id for the '`String Literal Exp`' class
`static int` `STRING_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `STRING_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `STRING_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `STRING_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `STRING_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `STRING_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `STRING_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `STRING_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `STRING_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `STRING_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `STRING_LITERAL_EXP__STRING_SYMBOL` The feature id for the 'String Symbol' attribute
`static int` `STRING_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `STRING_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `STRING_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'String Literal Exp' class
`static int` `TUPLE_LITERAL_EXP` The meta object id for the '`Tuple Literal Exp`' class
`static int` `TUPLE_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `TUPLE_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `TUPLE_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `TUPLE_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `TUPLE_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `TUPLE_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `TUPLE_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `TUPLE_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `TUPLE_LITERAL_EXP__PART` The feature id for the 'Part' containment reference list
`static int` `TUPLE_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `TUPLE_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `TUPLE_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `TUPLE_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `TUPLE_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Tuple Literal Exp' class
`static int` `TUPLE_LITERAL_PART` The meta object id for the '`Tuple Literal Part`' class
`static int` `TUPLE_LITERAL_PART__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `TUPLE_LITERAL_PART__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `TUPLE_LITERAL_PART__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `TUPLE_LITERAL_PART__END_POSITION` The feature id for the 'End Position' attribute
`static int` `TUPLE_LITERAL_PART__ETYPE` The feature id for the 'EType' reference
`static int` `TUPLE_LITERAL_PART__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `TUPLE_LITERAL_PART__MANY` The feature id for the 'Many' attribute
`static int` `TUPLE_LITERAL_PART__NAME` The feature id for the 'Name' attribute
`static int` `TUPLE_LITERAL_PART__ORDERED` The feature id for the 'Ordered' attribute
`static int` `TUPLE_LITERAL_PART__REQUIRED` The feature id for the 'Required' attribute
`static int` `TUPLE_LITERAL_PART__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `TUPLE_LITERAL_PART__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `TUPLE_LITERAL_PART__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `TUPLE_LITERAL_PART__UNIQUE` The feature id for the 'Unique' attribute
`static int` `TUPLE_LITERAL_PART__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `TUPLE_LITERAL_PART__VALUE` The feature id for the 'Value' containment reference
`static int` `TUPLE_LITERAL_PART_FEATURE_COUNT` The number of structural features of the 'Tuple Literal Part' class
`static int` `TUPLE_TYPE` The meta object id for the '`Tuple Type`' class
`static int` `TUPLE_TYPE__ABSTRACT` The feature id for the 'Abstract' attribute
`static int` `TUPLE_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `TUPLE_TYPE__EALL_ATTRIBUTES` The feature id for the 'EAll Attributes' reference list
`static int` `TUPLE_TYPE__EALL_CONTAINMENTS` The feature id for the 'EAll Containments' reference list
`static int` `TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES` The feature id for the 'EAll Generic Super Types' reference list
`static int` `TUPLE_TYPE__EALL_OPERATIONS` The feature id for the 'EAll Operations' reference list
`static int` `TUPLE_TYPE__EALL_REFERENCES` The feature id for the 'EAll References' reference list
`static int` `TUPLE_TYPE__EALL_STRUCTURAL_FEATURES` The feature id for the 'EAll Structural Features' reference list
`static int` `TUPLE_TYPE__EALL_SUPER_TYPES` The feature id for the 'EAll Super Types' reference list
`static int` `TUPLE_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `TUPLE_TYPE__EATTRIBUTES` The feature id for the 'EAttributes' reference list
`static int` `TUPLE_TYPE__EGENERIC_SUPER_TYPES` The feature id for the 'EGeneric Super Types' containment reference list
`static int` `TUPLE_TYPE__EID_ATTRIBUTE` The feature id for the 'EID Attribute' reference
`static int` `TUPLE_TYPE__EOPERATIONS` The feature id for the 'EOperations' containment reference list
`static int` `TUPLE_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `TUPLE_TYPE__EREFERENCES` The feature id for the 'EReferences' reference list
`static int` `TUPLE_TYPE__ESTRUCTURAL_FEATURES` The feature id for the 'EStructural Features' containment reference list
`static int` `TUPLE_TYPE__ESUPER_TYPES` The feature id for the 'ESuper Types' reference list
`static int` `TUPLE_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `TUPLE_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `TUPLE_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `TUPLE_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `TUPLE_TYPE__INTERFACE` The feature id for the 'Interface' attribute
`static int` `TUPLE_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `TUPLE_TYPE__SERIALIZABLE` The feature id for the 'Serializable' attribute
`static int` `TUPLE_TYPE_FEATURE_COUNT` The number of structural features of the 'Tuple Type' class
`static int` `TYPE_EXP` The meta object id for the '`Type Exp`' class
`static int` `TYPE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `TYPE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `TYPE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `TYPE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `TYPE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `TYPE_EXP__MANY` The feature id for the 'Many' attribute
`static int` `TYPE_EXP__NAME` The feature id for the 'Name' attribute
`static int` `TYPE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `TYPE_EXP__REFERRED_TYPE` The feature id for the 'Referred Type' reference
`static int` `TYPE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `TYPE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `TYPE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `TYPE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `TYPE_EXP_FEATURE_COUNT` The number of structural features of the 'Type Exp' class
`static int` `TYPE_TYPE` The meta object id for the '`Type Type`' class
`static int` `TYPE_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `TYPE_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `TYPE_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `TYPE_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `TYPE_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `TYPE_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `TYPE_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `TYPE_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `TYPE_TYPE__REFERRED_TYPE` The feature id for the 'Referred Type' reference
`static int` `TYPE_TYPE_FEATURE_COUNT` The number of structural features of the 'Type Type' class
`static int` `UNLIMITED_NATURAL_LITERAL_EXP` The meta object id for the '`Unlimited Natural Literal Exp`' class
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL` The feature id for the 'Integer Symbol' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__MANY` The feature id for the 'Many' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__NAME` The feature id for the 'Name' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED` The feature id for the 'Unlimited' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Unlimited Natural Literal Exp' class
`static int` `UNSPECIFIED_VALUE_EXP` The meta object id for the '`Unspecified Value Exp`' class
`static int` `UNSPECIFIED_VALUE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `UNSPECIFIED_VALUE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `UNSPECIFIED_VALUE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `UNSPECIFIED_VALUE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `UNSPECIFIED_VALUE_EXP__MANY` The feature id for the 'Many' attribute
`static int` `UNSPECIFIED_VALUE_EXP__NAME` The feature id for the 'Name' attribute
`static int` `UNSPECIFIED_VALUE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `UNSPECIFIED_VALUE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `UNSPECIFIED_VALUE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `UNSPECIFIED_VALUE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `UNSPECIFIED_VALUE_EXP_FEATURE_COUNT` The number of structural features of the 'Unspecified Value Exp' class
`static int` `VARIABLE` The meta object id for the '`Variable`' class
`static int` `VARIABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `VARIABLE__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `VARIABLE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `VARIABLE__ETYPE` The feature id for the 'EType' reference
`static int` `VARIABLE__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference
`static int` `VARIABLE__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `VARIABLE__MANY` The feature id for the 'Many' attribute
`static int` `VARIABLE__NAME` The feature id for the 'Name' attribute
`static int` `VARIABLE__ORDERED` The feature id for the 'Ordered' attribute
`static int` `VARIABLE__REPRESENTED_PARAMETER` The feature id for the 'Represented Parameter' reference
`static int` `VARIABLE__REQUIRED` The feature id for the 'Required' attribute
`static int` `VARIABLE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `VARIABLE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `VARIABLE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `VARIABLE__UNIQUE` The feature id for the 'Unique' attribute
`static int` `VARIABLE__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `VARIABLE_EXP` The meta object id for the '`Variable Exp`' class
`static int` `VARIABLE_EXP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `VARIABLE_EXP__EGENERIC_TYPE` The feature id for the 'EGeneric Type' containment reference
`static int` `VARIABLE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `VARIABLE_EXP__ETYPE` The feature id for the 'EType' reference
`static int` `VARIABLE_EXP__LOWER_BOUND` The feature id for the 'Lower Bound' attribute
`static int` `VARIABLE_EXP__MANY` The feature id for the 'Many' attribute
`static int` `VARIABLE_EXP__NAME` The feature id for the 'Name' attribute
`static int` `VARIABLE_EXP__ORDERED` The feature id for the 'Ordered' attribute
`static int` `VARIABLE_EXP__REFERRED_VARIABLE` The feature id for the 'Referred Variable' reference
`static int` `VARIABLE_EXP__REQUIRED` The feature id for the 'Required' attribute
`static int` `VARIABLE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `VARIABLE_EXP__UNIQUE` The feature id for the 'Unique' attribute
`static int` `VARIABLE_EXP__UPPER_BOUND` The feature id for the 'Upper Bound' attribute
`static int` `VARIABLE_EXP_FEATURE_COUNT` The number of structural features of the 'Variable Exp' class
`static int` `VARIABLE_FEATURE_COUNT` The number of structural features of the 'Variable' class
`static int` `VOID_TYPE` The meta object id for the '`Void Type`' class
`static int` `VOID_TYPE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute
`static int` `VOID_TYPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `VOID_TYPE__EPACKAGE` The feature id for the 'EPackage' container reference
`static int` `VOID_TYPE__ETYPE_PARAMETERS` The feature id for the 'EType Parameters' containment reference list
`static int` `VOID_TYPE__INSTANCE_CLASS` The feature id for the 'Instance Class' attribute
`static int` `VOID_TYPE__INSTANCE_CLASS_NAME` The feature id for the 'Instance Class Name' attribute
`static int` `VOID_TYPE__INSTANCE_TYPE_NAME` The feature id for the 'Instance Type Name' attribute
`static int` `VOID_TYPE__NAME` The feature id for the 'Name' attribute
`static int` `VOID_TYPE_FEATURE_COUNT` The number of structural features of the 'Void Type' class

Method Summary
`EClass` `getAnyType()` Returns the meta object for class '`Any Type`'
`EClass` `getAssociationClassCallExp()` Returns the meta object for class '`Association Class Call Exp`'
`EClass` `getBagType()` Returns the meta object for class '`Bag Type`'
`EClass` `getBooleanLiteralExp()` Returns the meta object for class '`Boolean Literal Exp`'
`EClass` `getCallExp()` Returns the meta object for class '`Call Exp`'
`EReference` `getCallOperationAction_Operation()` Returns the meta object for the reference '`Operation`'
`EClass` `getCallOperationAction()` Returns the meta object for class '`Call Operation Action`'
`EClass` `getCollectionItem()` Returns the meta object for class '`Collection Item`'
`EClass` `getCollectionLiteralExp()` Returns the meta object for class '`Collection Literal Exp`'
`EClass` `getCollectionLiteralPart()` Returns the meta object for class '`Collection Literal Part`'
`EClass` `getCollectionRange()` Returns the meta object for class '`Collection Range`'
`EClass` `getCollectionType()` Returns the meta object for class '`Collection Type`'
`EReference` `getConstraint_ConstrainedElements()` Returns the meta object for the reference list '`Constrained Elements`'
`EReference` `getConstraint_Specification()` Returns the meta object for the containment reference '`Specification`'
`EAttribute` `getConstraint_Stereotype()` Returns the meta object for the attribute '`Stereotype`'
`EClass` `getConstraint()` Returns the meta object for class '`Constraint`'
`EcoreFactory` `getEcoreFactory()` Returns the factory that creates the instances of the model
`EClass` `getElementType()` Returns the meta object for class '`Element Type`'
`EClass` `getEnumLiteralExp()` Returns the meta object for class '`Enum Literal Exp`'
`EClass` `getExpressionInOCL()` Returns the meta object for class '`Expression In OCL`'
`EClass` `getFeatureCallExp()` Returns the meta object for class '`Feature Call Exp`'
`EClass` `getIfExp()` Returns the meta object for class '`If Exp`'
`EClass` `getIntegerLiteralExp()` Returns the meta object for class '`Integer Literal Exp`'
`EClass` `getInvalidLiteralExp()` Returns the meta object for class '`Invalid Literal Exp`'
`EClass` `getInvalidType()` Returns the meta object for class '`Invalid Type`'
`EClass` `getIterateExp()` Returns the meta object for class '`Iterate Exp`'
`EClass` `getIteratorExp()` Returns the meta object for class '`Iterator Exp`'
`EClass` `getLetExp()` Returns the meta object for class '`Let Exp`'
`EClass` `getLiteralExp()` Returns the meta object for class '`Literal Exp`'
`EClass` `getLoopExp()` Returns the meta object for class '`Loop Exp`'
`EClass` `getMessageExp()` Returns the meta object for class '`Message Exp`'
`EClass` `getMessageType()` Returns the meta object for class '`Message Type`'
`EClass` `getNavigationCallExp()` Returns the meta object for class '`Navigation Call Exp`'
`EClass` `getNullLiteralExp()` Returns the meta object for class '`Null Literal Exp`'
`EClass` `getNumericLiteralExp()` Returns the meta object for class '`Numeric Literal Exp`'
`EClass` `getOCLExpression()` Returns the meta object for class '`OCL Expression`'
`EClass` `getOperationCallExp()` Returns the meta object for class '`Operation Call Exp`'
`EClass` `getOrderedSetType()` Returns the meta object for class '`Ordered Set Type`'
`EClass` `getPrimitiveLiteralExp()` Returns the meta object for class '`Primitive Literal Exp`'
`EClass` `getPrimitiveType()` Returns the meta object for class '`Primitive Type`'
`EClass` `getPropertyCallExp()` Returns the meta object for class '`Property Call Exp`'
`EClass` `getRealLiteralExp()` Returns the meta object for class '`Real Literal Exp`'
`EReference` `getSendSignalAction_Signal()` Returns the meta object for the reference '`Signal`'
`EClass` `getSendSignalAction()` Returns the meta object for class '`Send Signal Action`'
`EClass` `getSequenceType()` Returns the meta object for class '`Sequence Type`'
`EClass` `getSetType()` Returns the meta object for class '`Set Type`'
`EClass` `getStateExp()` Returns the meta object for class '`State Exp`'
`EClass` `getStringLiteralExp()` Returns the meta object for class '`String Literal Exp`'
`EClass` `getTupleLiteralExp()` Returns the meta object for class '`Tuple Literal Exp`'
`EClass` `getTupleLiteralPart()` Returns the meta object for class '`Tuple Literal Part`'
`EClass` `getTupleType()` Returns the meta object for class '`Tuple Type`'
`EClass` `getTypeExp()` Returns the meta object for class '`Type Exp`'
`EClass` `getTypeType()` Returns the meta object for class '`Type Type`'
`EClass` `getUnlimitedNaturalLiteralExp()` Returns the meta object for class '`Unlimited Natural Literal Exp`'
`EClass` `getUnspecifiedValueExp()` Returns the meta object for class '`Unspecified Value Exp`'
`EClass` `getVariable()` Returns the meta object for class '`Variable`'
`EClass` `getVariableExp()` Returns the meta object for class '`Variable Exp`'
`EClass` `getVoidType()` Returns the meta object for class '`Void Type`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eCONTENT_TYPE

    static final String eCONTENT_TYPE

  The package content type ID.

  Since:
    1.3
  See Also:
    Constant Field Values

### eINSTANCE

    static final EcorePackage eINSTANCE

  The singleton instance of the package.

### ANY_TYPE

    static final int ANY_TYPE

  The meta object id for the '`Any Type`' class.

  See Also:
    `AnyTypeImpl`, `EcorePackageImpl.getAnyType()`, Constant Field Values

### ANY_TYPE__EANNOTATIONS

    static final int ANY_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ANY_TYPE__NAME

    static final int ANY_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__INSTANCE_CLASS_NAME

    static final int ANY_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__INSTANCE_CLASS

    static final int ANY_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__DEFAULT_VALUE

    static final int ANY_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__INSTANCE_TYPE_NAME

    static final int ANY_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ANY_TYPE__EPACKAGE

    static final int ANY_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ANY_TYPE__ETYPE_PARAMETERS

    static final int ANY_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ANY_TYPE_FEATURE_COUNT

    static final int ANY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Any Type' class.

  See Also:
    Constant Field Values

### COLLECTION_TYPE

    static final int COLLECTION_TYPE

  The meta object id for the '`Collection Type`' class.

  See Also:
    `CollectionTypeImpl`, `EcorePackageImpl.getCollectionType()`, Constant Field Values

### COLLECTION_TYPE__EANNOTATIONS

    static final int COLLECTION_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__NAME

    static final int COLLECTION_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__INSTANCE_CLASS_NAME

    static final int COLLECTION_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__INSTANCE_CLASS

    static final int COLLECTION_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__DEFAULT_VALUE

    static final int COLLECTION_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__INSTANCE_TYPE_NAME

    static final int COLLECTION_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__EPACKAGE

    static final int COLLECTION_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__ETYPE_PARAMETERS

    static final int COLLECTION_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__SERIALIZABLE

    static final int COLLECTION_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__START_POSITION

    static final int COLLECTION_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__END_POSITION

    static final int COLLECTION_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__TYPE_START_POSITION

    static final int COLLECTION_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__TYPE_END_POSITION

    static final int COLLECTION_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__ELEMENT_TYPE

    static final int COLLECTION_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### COLLECTION_TYPE__KIND

    static final int COLLECTION_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### COLLECTION_TYPE_FEATURE_COUNT

    static final int COLLECTION_TYPE_FEATURE_COUNT

  The number of structural features of the 'Collection Type' class.

  See Also:
    Constant Field Values

### BAG_TYPE

    static final int BAG_TYPE

  The meta object id for the '`Bag Type`' class.

  See Also:
    `BagTypeImpl`, `EcorePackageImpl.getBagType()`, Constant Field Values

### BAG_TYPE__EANNOTATIONS

    static final int BAG_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### BAG_TYPE__NAME

    static final int BAG_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__INSTANCE_CLASS_NAME

    static final int BAG_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__INSTANCE_CLASS

    static final int BAG_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__DEFAULT_VALUE

    static final int BAG_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__INSTANCE_TYPE_NAME

    static final int BAG_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__EPACKAGE

    static final int BAG_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### BAG_TYPE__ETYPE_PARAMETERS

    static final int BAG_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### BAG_TYPE__SERIALIZABLE

    static final int BAG_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__START_POSITION

    static final int BAG_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__END_POSITION

    static final int BAG_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__TYPE_START_POSITION

    static final int BAG_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__TYPE_END_POSITION

    static final int BAG_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE__ELEMENT_TYPE

    static final int BAG_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### BAG_TYPE__KIND

    static final int BAG_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### BAG_TYPE_FEATURE_COUNT

    static final int BAG_TYPE_FEATURE_COUNT

  The number of structural features of the 'Bag Type' class.

  See Also:
    Constant Field Values

### ELEMENT_TYPE

    static final int ELEMENT_TYPE

  The meta object id for the '`Element Type`' class.

  See Also:
    `ElementTypeImpl`, `EcorePackageImpl.getElementType()`, Constant Field Values

### ELEMENT_TYPE__EANNOTATIONS

    static final int ELEMENT_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__NAME

    static final int ELEMENT_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INSTANCE_CLASS_NAME

    static final int ELEMENT_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INSTANCE_CLASS

    static final int ELEMENT_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__DEFAULT_VALUE

    static final int ELEMENT_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INSTANCE_TYPE_NAME

    static final int ELEMENT_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EPACKAGE

    static final int ELEMENT_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ETYPE_PARAMETERS

    static final int ELEMENT_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ABSTRACT

    static final int ELEMENT_TYPE__ABSTRACT

  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__INTERFACE

    static final int ELEMENT_TYPE__INTERFACE

  The feature id for the 'Interface' attribute.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ESUPER_TYPES

    static final int ELEMENT_TYPE__ESUPER_TYPES

  The feature id for the 'ESuper Types' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EOPERATIONS

    static final int ELEMENT_TYPE__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_ATTRIBUTES

    static final int ELEMENT_TYPE__EALL_ATTRIBUTES

  The feature id for the 'EAll Attributes' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_REFERENCES

    static final int ELEMENT_TYPE__EALL_REFERENCES

  The feature id for the 'EAll References' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EREFERENCES

    static final int ELEMENT_TYPE__EREFERENCES

  The feature id for the 'EReferences' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EATTRIBUTES

    static final int ELEMENT_TYPE__EATTRIBUTES

  The feature id for the 'EAttributes' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_CONTAINMENTS

    static final int ELEMENT_TYPE__EALL_CONTAINMENTS

  The feature id for the 'EAll Containments' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_OPERATIONS

    static final int ELEMENT_TYPE__EALL_OPERATIONS

  The feature id for the 'EAll Operations' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES

    static final int ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES

  The feature id for the 'EAll Structural Features' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_SUPER_TYPES

    static final int ELEMENT_TYPE__EALL_SUPER_TYPES

  The feature id for the 'EAll Super Types' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EID_ATTRIBUTE

    static final int ELEMENT_TYPE__EID_ATTRIBUTE

  The feature id for the 'EID Attribute' reference.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__ESTRUCTURAL_FEATURES

    static final int ELEMENT_TYPE__ESTRUCTURAL_FEATURES

  The feature id for the 'EStructural Features' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EGENERIC_SUPER_TYPES

    static final int ELEMENT_TYPE__EGENERIC_SUPER_TYPES

  The feature id for the 'EGeneric Super Types' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES

    static final int ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES

  The feature id for the 'EAll Generic Super Types' reference list.

  See Also:
    Constant Field Values

### ELEMENT_TYPE_FEATURE_COUNT

    static final int ELEMENT_TYPE_FEATURE_COUNT

  The number of structural features of the 'Element Type' class.

  See Also:
    Constant Field Values

### INVALID_TYPE

    static final int INVALID_TYPE

  The meta object id for the '`Invalid Type`' class.

  See Also:
    `InvalidTypeImpl`, `EcorePackageImpl.getInvalidType()`, Constant Field Values

### INVALID_TYPE__EANNOTATIONS

    static final int INVALID_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INVALID_TYPE__NAME

    static final int INVALID_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__INSTANCE_CLASS_NAME

    static final int INVALID_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__INSTANCE_CLASS

    static final int INVALID_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__DEFAULT_VALUE

    static final int INVALID_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__INSTANCE_TYPE_NAME

    static final int INVALID_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### INVALID_TYPE__EPACKAGE

    static final int INVALID_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### INVALID_TYPE__ETYPE_PARAMETERS

    static final int INVALID_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### INVALID_TYPE_FEATURE_COUNT

    static final int INVALID_TYPE_FEATURE_COUNT

  The number of structural features of the 'Invalid Type' class.

  See Also:
    Constant Field Values

### MESSAGE_TYPE

    static final int MESSAGE_TYPE

  The meta object id for the '`Message Type`' class.

  See Also:
    `MessageTypeImpl`, `EcorePackageImpl.getMessageType()`, Constant Field Values

### MESSAGE_TYPE__EANNOTATIONS

    static final int MESSAGE_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__NAME

    static final int MESSAGE_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INSTANCE_CLASS_NAME

    static final int MESSAGE_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INSTANCE_CLASS

    static final int MESSAGE_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__DEFAULT_VALUE

    static final int MESSAGE_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INSTANCE_TYPE_NAME

    static final int MESSAGE_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EPACKAGE

    static final int MESSAGE_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ETYPE_PARAMETERS

    static final int MESSAGE_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ABSTRACT

    static final int MESSAGE_TYPE__ABSTRACT

  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__INTERFACE

    static final int MESSAGE_TYPE__INTERFACE

  The feature id for the 'Interface' attribute.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ESUPER_TYPES

    static final int MESSAGE_TYPE__ESUPER_TYPES

  The feature id for the 'ESuper Types' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EOPERATIONS

    static final int MESSAGE_TYPE__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_ATTRIBUTES

    static final int MESSAGE_TYPE__EALL_ATTRIBUTES

  The feature id for the 'EAll Attributes' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_REFERENCES

    static final int MESSAGE_TYPE__EALL_REFERENCES

  The feature id for the 'EAll References' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EREFERENCES

    static final int MESSAGE_TYPE__EREFERENCES

  The feature id for the 'EReferences' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EATTRIBUTES

    static final int MESSAGE_TYPE__EATTRIBUTES

  The feature id for the 'EAttributes' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_CONTAINMENTS

    static final int MESSAGE_TYPE__EALL_CONTAINMENTS

  The feature id for the 'EAll Containments' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_OPERATIONS

    static final int MESSAGE_TYPE__EALL_OPERATIONS

  The feature id for the 'EAll Operations' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES

    static final int MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES

  The feature id for the 'EAll Structural Features' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_SUPER_TYPES

    static final int MESSAGE_TYPE__EALL_SUPER_TYPES

  The feature id for the 'EAll Super Types' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EID_ATTRIBUTE

    static final int MESSAGE_TYPE__EID_ATTRIBUTE

  The feature id for the 'EID Attribute' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__ESTRUCTURAL_FEATURES

    static final int MESSAGE_TYPE__ESTRUCTURAL_FEATURES

  The feature id for the 'EStructural Features' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EGENERIC_SUPER_TYPES

    static final int MESSAGE_TYPE__EGENERIC_SUPER_TYPES

  The feature id for the 'EGeneric Super Types' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES

    static final int MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES

  The feature id for the 'EAll Generic Super Types' reference list.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__REFERRED_OPERATION

    static final int MESSAGE_TYPE__REFERRED_OPERATION

  The feature id for the 'Referred Operation' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE__REFERRED_SIGNAL

    static final int MESSAGE_TYPE__REFERRED_SIGNAL

  The feature id for the 'Referred Signal' reference.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_FEATURE_COUNT

    static final int MESSAGE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Message Type' class.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE

    static final int ORDERED_SET_TYPE

  The meta object id for the '`Ordered Set Type`' class.

  See Also:
    `OrderedSetTypeImpl`, `EcorePackageImpl.getOrderedSetType()`, Constant Field Values

### ORDERED_SET_TYPE__EANNOTATIONS

    static final int ORDERED_SET_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__NAME

    static final int ORDERED_SET_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__INSTANCE_CLASS_NAME

    static final int ORDERED_SET_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__INSTANCE_CLASS

    static final int ORDERED_SET_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__DEFAULT_VALUE

    static final int ORDERED_SET_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__INSTANCE_TYPE_NAME

    static final int ORDERED_SET_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__EPACKAGE

    static final int ORDERED_SET_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__ETYPE_PARAMETERS

    static final int ORDERED_SET_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__SERIALIZABLE

    static final int ORDERED_SET_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__START_POSITION

    static final int ORDERED_SET_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__END_POSITION

    static final int ORDERED_SET_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__TYPE_START_POSITION

    static final int ORDERED_SET_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__TYPE_END_POSITION

    static final int ORDERED_SET_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__ELEMENT_TYPE

    static final int ORDERED_SET_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE__KIND

    static final int ORDERED_SET_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### ORDERED_SET_TYPE_FEATURE_COUNT

    static final int ORDERED_SET_TYPE_FEATURE_COUNT

  The number of structural features of the 'Ordered Set Type' class.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE

    static final int PRIMITIVE_TYPE

  The meta object id for the '`Primitive Type`' class.

  See Also:
    `PrimitiveTypeImpl`, `EcorePackageImpl.getPrimitiveType()`, Constant Field Values

### PRIMITIVE_TYPE__EANNOTATIONS

    static final int PRIMITIVE_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__NAME

    static final int PRIMITIVE_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__INSTANCE_CLASS_NAME

    static final int PRIMITIVE_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__INSTANCE_CLASS

    static final int PRIMITIVE_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__DEFAULT_VALUE

    static final int PRIMITIVE_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__INSTANCE_TYPE_NAME

    static final int PRIMITIVE_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__EPACKAGE

    static final int PRIMITIVE_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__ETYPE_PARAMETERS

    static final int PRIMITIVE_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE__SERIALIZABLE

    static final int PRIMITIVE_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_TYPE_FEATURE_COUNT

    static final int PRIMITIVE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Primitive Type' class.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE

    static final int SEQUENCE_TYPE

  The meta object id for the '`Sequence Type`' class.

  See Also:
    `SequenceTypeImpl`, `EcorePackageImpl.getSequenceType()`, Constant Field Values

### SEQUENCE_TYPE__EANNOTATIONS

    static final int SEQUENCE_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__NAME

    static final int SEQUENCE_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__INSTANCE_CLASS_NAME

    static final int SEQUENCE_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__INSTANCE_CLASS

    static final int SEQUENCE_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__DEFAULT_VALUE

    static final int SEQUENCE_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__INSTANCE_TYPE_NAME

    static final int SEQUENCE_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__EPACKAGE

    static final int SEQUENCE_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__ETYPE_PARAMETERS

    static final int SEQUENCE_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__SERIALIZABLE

    static final int SEQUENCE_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__START_POSITION

    static final int SEQUENCE_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__END_POSITION

    static final int SEQUENCE_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__TYPE_START_POSITION

    static final int SEQUENCE_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__TYPE_END_POSITION

    static final int SEQUENCE_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__ELEMENT_TYPE

    static final int SEQUENCE_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE__KIND

    static final int SEQUENCE_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_TYPE_FEATURE_COUNT

    static final int SEQUENCE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Sequence Type' class.

  See Also:
    Constant Field Values

### SET_TYPE

    static final int SET_TYPE

  The meta object id for the '`Set Type`' class.

  See Also:
    `SetTypeImpl`, `EcorePackageImpl.getSetType()`, Constant Field Values

### SET_TYPE__EANNOTATIONS

    static final int SET_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SET_TYPE__NAME

    static final int SET_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__INSTANCE_CLASS_NAME

    static final int SET_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__INSTANCE_CLASS

    static final int SET_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__DEFAULT_VALUE

    static final int SET_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__INSTANCE_TYPE_NAME

    static final int SET_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__EPACKAGE

    static final int SET_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### SET_TYPE__ETYPE_PARAMETERS

    static final int SET_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### SET_TYPE__SERIALIZABLE

    static final int SET_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__START_POSITION

    static final int SET_TYPE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__END_POSITION

    static final int SET_TYPE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__TYPE_START_POSITION

    static final int SET_TYPE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__TYPE_END_POSITION

    static final int SET_TYPE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### SET_TYPE__ELEMENT_TYPE

    static final int SET_TYPE__ELEMENT_TYPE

  The feature id for the 'Element Type' reference.

  See Also:
    Constant Field Values

### SET_TYPE__KIND

    static final int SET_TYPE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### SET_TYPE_FEATURE_COUNT

    static final int SET_TYPE_FEATURE_COUNT

  The number of structural features of the 'Set Type' class.

  See Also:
    Constant Field Values

### TUPLE_TYPE

    static final int TUPLE_TYPE

  The meta object id for the '`Tuple Type`' class.

  See Also:
    `TupleTypeImpl`, `EcorePackageImpl.getTupleType()`, Constant Field Values

### TUPLE_TYPE__EANNOTATIONS

    static final int TUPLE_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__NAME

    static final int TUPLE_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INSTANCE_CLASS_NAME

    static final int TUPLE_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INSTANCE_CLASS

    static final int TUPLE_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__DEFAULT_VALUE

    static final int TUPLE_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INSTANCE_TYPE_NAME

    static final int TUPLE_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EPACKAGE

    static final int TUPLE_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ETYPE_PARAMETERS

    static final int TUPLE_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ABSTRACT

    static final int TUPLE_TYPE__ABSTRACT

  The feature id for the 'Abstract' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__INTERFACE

    static final int TUPLE_TYPE__INTERFACE

  The feature id for the 'Interface' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ESUPER_TYPES

    static final int TUPLE_TYPE__ESUPER_TYPES

  The feature id for the 'ESuper Types' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EOPERATIONS

    static final int TUPLE_TYPE__EOPERATIONS

  The feature id for the 'EOperations' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_ATTRIBUTES

    static final int TUPLE_TYPE__EALL_ATTRIBUTES

  The feature id for the 'EAll Attributes' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_REFERENCES

    static final int TUPLE_TYPE__EALL_REFERENCES

  The feature id for the 'EAll References' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EREFERENCES

    static final int TUPLE_TYPE__EREFERENCES

  The feature id for the 'EReferences' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EATTRIBUTES

    static final int TUPLE_TYPE__EATTRIBUTES

  The feature id for the 'EAttributes' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_CONTAINMENTS

    static final int TUPLE_TYPE__EALL_CONTAINMENTS

  The feature id for the 'EAll Containments' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_OPERATIONS

    static final int TUPLE_TYPE__EALL_OPERATIONS

  The feature id for the 'EAll Operations' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_STRUCTURAL_FEATURES

    static final int TUPLE_TYPE__EALL_STRUCTURAL_FEATURES

  The feature id for the 'EAll Structural Features' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_SUPER_TYPES

    static final int TUPLE_TYPE__EALL_SUPER_TYPES

  The feature id for the 'EAll Super Types' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EID_ATTRIBUTE

    static final int TUPLE_TYPE__EID_ATTRIBUTE

  The feature id for the 'EID Attribute' reference.

  See Also:
    Constant Field Values

### TUPLE_TYPE__ESTRUCTURAL_FEATURES

    static final int TUPLE_TYPE__ESTRUCTURAL_FEATURES

  The feature id for the 'EStructural Features' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EGENERIC_SUPER_TYPES

    static final int TUPLE_TYPE__EGENERIC_SUPER_TYPES

  The feature id for the 'EGeneric Super Types' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES

    static final int TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES

  The feature id for the 'EAll Generic Super Types' reference list.

  See Also:
    Constant Field Values

### TUPLE_TYPE__SERIALIZABLE

    static final int TUPLE_TYPE__SERIALIZABLE

  The feature id for the 'Serializable' attribute.

  See Also:
    Constant Field Values

### TUPLE_TYPE_FEATURE_COUNT

    static final int TUPLE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Tuple Type' class.

  See Also:
    Constant Field Values

### TYPE_TYPE

    static final int TYPE_TYPE

  The meta object id for the '`Type Type`' class.

  See Also:
    `TypeTypeImpl`, `EcorePackageImpl.getTypeType()`, Constant Field Values

### TYPE_TYPE__EANNOTATIONS

    static final int TYPE_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TYPE_TYPE__NAME

    static final int TYPE_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__INSTANCE_CLASS_NAME

    static final int TYPE_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__INSTANCE_CLASS

    static final int TYPE_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__DEFAULT_VALUE

    static final int TYPE_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__INSTANCE_TYPE_NAME

    static final int TYPE_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### TYPE_TYPE__EPACKAGE

    static final int TYPE_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### TYPE_TYPE__ETYPE_PARAMETERS

    static final int TYPE_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### TYPE_TYPE__REFERRED_TYPE

    static final int TYPE_TYPE__REFERRED_TYPE

  The feature id for the 'Referred Type' reference.

  See Also:
    Constant Field Values

### TYPE_TYPE_FEATURE_COUNT

    static final int TYPE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Type Type' class.

  See Also:
    Constant Field Values

### VOID_TYPE

    static final int VOID_TYPE

  The meta object id for the '`Void Type`' class.

  See Also:
    `VoidTypeImpl`, `EcorePackageImpl.getVoidType()`, Constant Field Values

### VOID_TYPE__EANNOTATIONS

    static final int VOID_TYPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### VOID_TYPE__NAME

    static final int VOID_TYPE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__INSTANCE_CLASS_NAME

    static final int VOID_TYPE__INSTANCE_CLASS_NAME

  The feature id for the 'Instance Class Name' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__INSTANCE_CLASS

    static final int VOID_TYPE__INSTANCE_CLASS

  The feature id for the 'Instance Class' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__DEFAULT_VALUE

    static final int VOID_TYPE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__INSTANCE_TYPE_NAME

    static final int VOID_TYPE__INSTANCE_TYPE_NAME

  The feature id for the 'Instance Type Name' attribute.

  See Also:
    Constant Field Values

### VOID_TYPE__EPACKAGE

    static final int VOID_TYPE__EPACKAGE

  The feature id for the 'EPackage' container reference.

  See Also:
    Constant Field Values

### VOID_TYPE__ETYPE_PARAMETERS

    static final int VOID_TYPE__ETYPE_PARAMETERS

  The feature id for the 'EType Parameters' containment reference list.

  See Also:
    Constant Field Values

### VOID_TYPE_FEATURE_COUNT

    static final int VOID_TYPE_FEATURE_COUNT

  The number of structural features of the 'Void Type' class.

  See Also:
    Constant Field Values

### CALL_OPERATION_ACTION

    static final int CALL_OPERATION_ACTION

  The meta object id for the '`Call Operation Action`' class.

  See Also:
    `CallOperationActionImpl`, `EcorePackageImpl.getCallOperationAction()`, Constant Field Values

### CALL_OPERATION_ACTION__OPERATION

    static final int CALL_OPERATION_ACTION__OPERATION

  The feature id for the 'Operation' reference.

  See Also:
    Constant Field Values

### CALL_OPERATION_ACTION_FEATURE_COUNT

    static final int CALL_OPERATION_ACTION_FEATURE_COUNT

  The number of structural features of the 'Call Operation Action' class.

  See Also:
    Constant Field Values

### CONSTRAINT

    static final int CONSTRAINT

  The meta object id for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `EcorePackageImpl.getConstraint()`, Constant Field Values

### CONSTRAINT__EANNOTATIONS

    static final int CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__NAME

    static final int CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__SPECIFICATION

    static final int CONSTRAINT__SPECIFICATION

  The feature id for the 'Specification' containment reference.

  See Also:
    Constant Field Values

### CONSTRAINT__CONSTRAINED_ELEMENTS

    static final int CONSTRAINT__CONSTRAINED_ELEMENTS

  The feature id for the 'Constrained Elements' reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__STEREOTYPE

    static final int CONSTRAINT__STEREOTYPE

  The feature id for the 'Stereotype' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_FEATURE_COUNT

    static final int CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Constraint' class.

  See Also:
    Constant Field Values

### SEND_SIGNAL_ACTION

    static final int SEND_SIGNAL_ACTION

  The meta object id for the '`Send Signal Action`' class.

  See Also:
    `SendSignalActionImpl`, `EcorePackageImpl.getSendSignalAction()`, Constant Field Values

### SEND_SIGNAL_ACTION__SIGNAL

    static final int SEND_SIGNAL_ACTION__SIGNAL

  The feature id for the 'Signal' reference.

  See Also:
    Constant Field Values

### SEND_SIGNAL_ACTION_FEATURE_COUNT

    static final int SEND_SIGNAL_ACTION_FEATURE_COUNT

  The number of structural features of the 'Send Signal Action' class.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL

    static final int EXPRESSION_IN_OCL

  The meta object id for the '`Expression In OCL`' class.

  See Also:
    `ExpressionInOCLImpl`, `EcorePackageImpl.getExpressionInOCL()`, Constant Field Values

### EXPRESSION_IN_OCL__BODY_EXPRESSION

    static final int EXPRESSION_IN_OCL__BODY_EXPRESSION

  The feature id for the 'Body Expression' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL__CONTEXT_VARIABLE

    static final int EXPRESSION_IN_OCL__CONTEXT_VARIABLE

  The feature id for the 'Context Variable' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL__RESULT_VARIABLE

    static final int EXPRESSION_IN_OCL__RESULT_VARIABLE

  The feature id for the 'Result Variable' containment reference.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL__PARAMETER_VARIABLE

    static final int EXPRESSION_IN_OCL__PARAMETER_VARIABLE

  The feature id for the 'Parameter Variable' containment reference list.

  See Also:
    Constant Field Values

### EXPRESSION_IN_OCL_FEATURE_COUNT

    static final int EXPRESSION_IN_OCL_FEATURE_COUNT

  The number of structural features of the 'Expression In OCL' class.

  See Also:
    Constant Field Values

### OCL_EXPRESSION

    static final int OCL_EXPRESSION

  The meta object id for the '`OCL Expression`' class.

  See Also:
    `OCLExpressionImpl`, `EcorePackageImpl.getOCLExpression()`, Constant Field Values

### OCL_EXPRESSION__EANNOTATIONS

    static final int OCL_EXPRESSION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__NAME

    static final int OCL_EXPRESSION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__ORDERED

    static final int OCL_EXPRESSION__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__UNIQUE

    static final int OCL_EXPRESSION__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__LOWER_BOUND

    static final int OCL_EXPRESSION__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__UPPER_BOUND

    static final int OCL_EXPRESSION__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__MANY

    static final int OCL_EXPRESSION__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__REQUIRED

    static final int OCL_EXPRESSION__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__ETYPE

    static final int OCL_EXPRESSION__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__EGENERIC_TYPE

    static final int OCL_EXPRESSION__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__START_POSITION

    static final int OCL_EXPRESSION__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__END_POSITION

    static final int OCL_EXPRESSION__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION_FEATURE_COUNT

    static final int OCL_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'OCL Expression' class.

  See Also:
    Constant Field Values

### CALL_EXP

    static final int CALL_EXP

  The meta object id for the '`Call Exp`' class.

  See Also:
    `CallExpImpl`, `EcorePackageImpl.getCallExp()`, Constant Field Values

### CALL_EXP__EANNOTATIONS

    static final int CALL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### CALL_EXP__NAME

    static final int CALL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__ORDERED

    static final int CALL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__UNIQUE

    static final int CALL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__LOWER_BOUND

    static final int CALL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__UPPER_BOUND

    static final int CALL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__MANY

    static final int CALL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__REQUIRED

    static final int CALL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__ETYPE

    static final int CALL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### CALL_EXP__EGENERIC_TYPE

    static final int CALL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### CALL_EXP__START_POSITION

    static final int CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__END_POSITION

    static final int CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__PROPERTY_START_POSITION

    static final int CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__PROPERTY_END_POSITION

    static final int CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__SOURCE

    static final int CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### CALL_EXP_FEATURE_COUNT

    static final int CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Call Exp' class.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP

    static final int FEATURE_CALL_EXP

  The meta object id for the '`Feature Call Exp`' class.

  See Also:
    `FeatureCallExpImpl`, `EcorePackageImpl.getFeatureCallExp()`, Constant Field Values

### FEATURE_CALL_EXP__EANNOTATIONS

    static final int FEATURE_CALL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__NAME

    static final int FEATURE_CALL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__ORDERED

    static final int FEATURE_CALL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__UNIQUE

    static final int FEATURE_CALL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__LOWER_BOUND

    static final int FEATURE_CALL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__UPPER_BOUND

    static final int FEATURE_CALL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__MANY

    static final int FEATURE_CALL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__REQUIRED

    static final int FEATURE_CALL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__ETYPE

    static final int FEATURE_CALL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__EGENERIC_TYPE

    static final int FEATURE_CALL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__START_POSITION

    static final int FEATURE_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__END_POSITION

    static final int FEATURE_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__PROPERTY_START_POSITION

    static final int FEATURE_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__PROPERTY_END_POSITION

    static final int FEATURE_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__SOURCE

    static final int FEATURE_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__MARKED_PRE

    static final int FEATURE_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_FEATURE_COUNT

    static final int FEATURE_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Feature Call Exp' class.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP

    static final int NAVIGATION_CALL_EXP

  The meta object id for the '`Navigation Call Exp`' class.

  See Also:
    `NavigationCallExpImpl`, `EcorePackageImpl.getNavigationCallExp()`, Constant Field Values

### NAVIGATION_CALL_EXP__EANNOTATIONS

    static final int NAVIGATION_CALL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__NAME

    static final int NAVIGATION_CALL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__ORDERED

    static final int NAVIGATION_CALL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__UNIQUE

    static final int NAVIGATION_CALL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__LOWER_BOUND

    static final int NAVIGATION_CALL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__UPPER_BOUND

    static final int NAVIGATION_CALL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__MANY

    static final int NAVIGATION_CALL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__REQUIRED

    static final int NAVIGATION_CALL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__ETYPE

    static final int NAVIGATION_CALL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__EGENERIC_TYPE

    static final int NAVIGATION_CALL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__START_POSITION

    static final int NAVIGATION_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__END_POSITION

    static final int NAVIGATION_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__PROPERTY_START_POSITION

    static final int NAVIGATION_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__PROPERTY_END_POSITION

    static final int NAVIGATION_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__SOURCE

    static final int NAVIGATION_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__MARKED_PRE

    static final int NAVIGATION_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__QUALIFIER

    static final int NAVIGATION_CALL_EXP__QUALIFIER

  The feature id for the 'Qualifier' containment reference list.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__NAVIGATION_SOURCE

    static final int NAVIGATION_CALL_EXP__NAVIGATION_SOURCE

  The feature id for the 'Navigation Source' reference.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP_FEATURE_COUNT

    static final int NAVIGATION_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Navigation Call Exp' class.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP

    static final int ASSOCIATION_CLASS_CALL_EXP

  The meta object id for the '`Association Class Call Exp`' class.

  See Also:
    `AssociationClassCallExpImpl`, `EcorePackageImpl.getAssociationClassCallExp()`, Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__EANNOTATIONS

    static final int ASSOCIATION_CLASS_CALL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__NAME

    static final int ASSOCIATION_CLASS_CALL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__ORDERED

    static final int ASSOCIATION_CLASS_CALL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__UNIQUE

    static final int ASSOCIATION_CLASS_CALL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__LOWER_BOUND

    static final int ASSOCIATION_CLASS_CALL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__UPPER_BOUND

    static final int ASSOCIATION_CLASS_CALL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__MANY

    static final int ASSOCIATION_CLASS_CALL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__REQUIRED

    static final int ASSOCIATION_CLASS_CALL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__ETYPE

    static final int ASSOCIATION_CLASS_CALL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__EGENERIC_TYPE

    static final int ASSOCIATION_CLASS_CALL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__START_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__END_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__SOURCE

    static final int ASSOCIATION_CLASS_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE

    static final int ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__QUALIFIER

    static final int ASSOCIATION_CLASS_CALL_EXP__QUALIFIER

  The feature id for the 'Qualifier' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE

    static final int ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE

  The feature id for the 'Navigation Source' reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS

    static final int ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS

  The feature id for the 'Referred Association Class' reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT

    static final int ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Association Class Call Exp' class.

  See Also:
    Constant Field Values

### LITERAL_EXP

    static final int LITERAL_EXP

  The meta object id for the '`Literal Exp`' class.

  See Also:
    `LiteralExpImpl`, `EcorePackageImpl.getLiteralExp()`, Constant Field Values

### LITERAL_EXP__EANNOTATIONS

    static final int LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### LITERAL_EXP__NAME

    static final int LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__ORDERED

    static final int LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__UNIQUE

    static final int LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__LOWER_BOUND

    static final int LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__UPPER_BOUND

    static final int LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__MANY

    static final int LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__REQUIRED

    static final int LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__ETYPE

    static final int LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### LITERAL_EXP__EGENERIC_TYPE

    static final int LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### LITERAL_EXP__START_POSITION

    static final int LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__END_POSITION

    static final int LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP_FEATURE_COUNT

    static final int LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Literal Exp' class.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP

    static final int PRIMITIVE_LITERAL_EXP

  The meta object id for the '`Primitive Literal Exp`' class.

  See Also:
    `PrimitiveLiteralExpImpl`, `EcorePackageImpl.getPrimitiveLiteralExp()`, Constant Field Values

### PRIMITIVE_LITERAL_EXP__EANNOTATIONS

    static final int PRIMITIVE_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__NAME

    static final int PRIMITIVE_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__ORDERED

    static final int PRIMITIVE_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__UNIQUE

    static final int PRIMITIVE_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__LOWER_BOUND

    static final int PRIMITIVE_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__UPPER_BOUND

    static final int PRIMITIVE_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__MANY

    static final int PRIMITIVE_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__REQUIRED

    static final int PRIMITIVE_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__ETYPE

    static final int PRIMITIVE_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__EGENERIC_TYPE

    static final int PRIMITIVE_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__START_POSITION

    static final int PRIMITIVE_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__END_POSITION

    static final int PRIMITIVE_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP_FEATURE_COUNT

    static final int PRIMITIVE_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Primitive Literal Exp' class.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP

    static final int BOOLEAN_LITERAL_EXP

  The meta object id for the '`Boolean Literal Exp`' class.

  See Also:
    `BooleanLiteralExpImpl`, `EcorePackageImpl.getBooleanLiteralExp()`, Constant Field Values

### BOOLEAN_LITERAL_EXP__EANNOTATIONS

    static final int BOOLEAN_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__NAME

    static final int BOOLEAN_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__ORDERED

    static final int BOOLEAN_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__UNIQUE

    static final int BOOLEAN_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__LOWER_BOUND

    static final int BOOLEAN_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__UPPER_BOUND

    static final int BOOLEAN_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__MANY

    static final int BOOLEAN_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__REQUIRED

    static final int BOOLEAN_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__ETYPE

    static final int BOOLEAN_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__EGENERIC_TYPE

    static final int BOOLEAN_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__START_POSITION

    static final int BOOLEAN_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__END_POSITION

    static final int BOOLEAN_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL

    static final int BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL

  The feature id for the 'Boolean Symbol' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP_FEATURE_COUNT

    static final int BOOLEAN_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Boolean Literal Exp' class.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART

    static final int COLLECTION_LITERAL_PART

  The meta object id for the '`Collection Literal Part`' class.

  See Also:
    `CollectionLiteralPartImpl`, `EcorePackageImpl.getCollectionLiteralPart()`, Constant Field Values

### COLLECTION_LITERAL_PART__EANNOTATIONS

    static final int COLLECTION_LITERAL_PART__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__NAME

    static final int COLLECTION_LITERAL_PART__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__ORDERED

    static final int COLLECTION_LITERAL_PART__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__UNIQUE

    static final int COLLECTION_LITERAL_PART__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__LOWER_BOUND

    static final int COLLECTION_LITERAL_PART__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__UPPER_BOUND

    static final int COLLECTION_LITERAL_PART__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__MANY

    static final int COLLECTION_LITERAL_PART__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__REQUIRED

    static final int COLLECTION_LITERAL_PART__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__ETYPE

    static final int COLLECTION_LITERAL_PART__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART__EGENERIC_TYPE

    static final int COLLECTION_LITERAL_PART__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART_FEATURE_COUNT

    static final int COLLECTION_LITERAL_PART_FEATURE_COUNT

  The number of structural features of the 'Collection Literal Part' class.

  See Also:
    Constant Field Values

### COLLECTION_ITEM

    static final int COLLECTION_ITEM

  The meta object id for the '`Collection Item`' class.

  See Also:
    `CollectionItemImpl`, `EcorePackageImpl.getCollectionItem()`, Constant Field Values

### COLLECTION_ITEM__EANNOTATIONS

    static final int COLLECTION_ITEM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__NAME

    static final int COLLECTION_ITEM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__ORDERED

    static final int COLLECTION_ITEM__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__UNIQUE

    static final int COLLECTION_ITEM__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__LOWER_BOUND

    static final int COLLECTION_ITEM__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__UPPER_BOUND

    static final int COLLECTION_ITEM__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__MANY

    static final int COLLECTION_ITEM__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__REQUIRED

    static final int COLLECTION_ITEM__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__ETYPE

    static final int COLLECTION_ITEM__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__EGENERIC_TYPE

    static final int COLLECTION_ITEM__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_ITEM__ITEM

    static final int COLLECTION_ITEM__ITEM

  The feature id for the 'Item' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_ITEM_FEATURE_COUNT

    static final int COLLECTION_ITEM_FEATURE_COUNT

  The number of structural features of the 'Collection Item' class.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP

    static final int COLLECTION_LITERAL_EXP

  The meta object id for the '`Collection Literal Exp`' class.

  See Also:
    `CollectionLiteralExpImpl`, `EcorePackageImpl.getCollectionLiteralExp()`, Constant Field Values

### COLLECTION_LITERAL_EXP__EANNOTATIONS

    static final int COLLECTION_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__NAME

    static final int COLLECTION_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__ORDERED

    static final int COLLECTION_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__UNIQUE

    static final int COLLECTION_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__LOWER_BOUND

    static final int COLLECTION_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__UPPER_BOUND

    static final int COLLECTION_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__MANY

    static final int COLLECTION_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__REQUIRED

    static final int COLLECTION_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__ETYPE

    static final int COLLECTION_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__EGENERIC_TYPE

    static final int COLLECTION_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__START_POSITION

    static final int COLLECTION_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__END_POSITION

    static final int COLLECTION_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__KIND

    static final int COLLECTION_LITERAL_EXP__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__PART

    static final int COLLECTION_LITERAL_EXP__PART

  The feature id for the 'Part' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__SIMPLE_RANGE

    static final int COLLECTION_LITERAL_EXP__SIMPLE_RANGE

  The feature id for the 'Simple Range' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP_FEATURE_COUNT

    static final int COLLECTION_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Collection Literal Exp' class.

  See Also:
    Constant Field Values

### COLLECTION_RANGE

    static final int COLLECTION_RANGE

  The meta object id for the '`Collection Range`' class.

  See Also:
    `CollectionRangeImpl`, `EcorePackageImpl.getCollectionRange()`, Constant Field Values

### COLLECTION_RANGE__EANNOTATIONS

    static final int COLLECTION_RANGE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__NAME

    static final int COLLECTION_RANGE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__ORDERED

    static final int COLLECTION_RANGE__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__UNIQUE

    static final int COLLECTION_RANGE__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__LOWER_BOUND

    static final int COLLECTION_RANGE__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__UPPER_BOUND

    static final int COLLECTION_RANGE__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__MANY

    static final int COLLECTION_RANGE__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__REQUIRED

    static final int COLLECTION_RANGE__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__ETYPE

    static final int COLLECTION_RANGE__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__EGENERIC_TYPE

    static final int COLLECTION_RANGE__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__FIRST

    static final int COLLECTION_RANGE__FIRST

  The feature id for the 'First' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__LAST

    static final int COLLECTION_RANGE__LAST

  The feature id for the 'Last' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE_FEATURE_COUNT

    static final int COLLECTION_RANGE_FEATURE_COUNT

  The number of structural features of the 'Collection Range' class.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP

    static final int ENUM_LITERAL_EXP

  The meta object id for the '`Enum Literal Exp`' class.

  See Also:
    `EnumLiteralExpImpl`, `EcorePackageImpl.getEnumLiteralExp()`, Constant Field Values

### ENUM_LITERAL_EXP__EANNOTATIONS

    static final int ENUM_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__NAME

    static final int ENUM_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__ORDERED

    static final int ENUM_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__UNIQUE

    static final int ENUM_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__LOWER_BOUND

    static final int ENUM_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__UPPER_BOUND

    static final int ENUM_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__MANY

    static final int ENUM_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__REQUIRED

    static final int ENUM_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__ETYPE

    static final int ENUM_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__EGENERIC_TYPE

    static final int ENUM_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__START_POSITION

    static final int ENUM_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__END_POSITION

    static final int ENUM_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL

    static final int ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL

  The feature id for the 'Referred Enum Literal' reference.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP_FEATURE_COUNT

    static final int ENUM_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Enum Literal Exp' class.

  See Also:
    Constant Field Values

### IF_EXP

    static final int IF_EXP

  The meta object id for the '`If Exp`' class.

  See Also:
    `IfExpImpl`, `EcorePackageImpl.getIfExp()`, Constant Field Values

### IF_EXP__EANNOTATIONS

    static final int IF_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### IF_EXP__NAME

    static final int IF_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### IF_EXP__ORDERED

    static final int IF_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### IF_EXP__UNIQUE

    static final int IF_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### IF_EXP__LOWER_BOUND

    static final int IF_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### IF_EXP__UPPER_BOUND

    static final int IF_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### IF_EXP__MANY

    static final int IF_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### IF_EXP__REQUIRED

    static final int IF_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### IF_EXP__ETYPE

    static final int IF_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### IF_EXP__EGENERIC_TYPE

    static final int IF_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### IF_EXP__START_POSITION

    static final int IF_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### IF_EXP__END_POSITION

    static final int IF_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### IF_EXP__CONDITION

    static final int IF_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

  See Also:
    Constant Field Values

### IF_EXP__THEN_EXPRESSION

    static final int IF_EXP__THEN_EXPRESSION

  The feature id for the 'Then Expression' containment reference.

  See Also:
    Constant Field Values

### IF_EXP__ELSE_EXPRESSION

    static final int IF_EXP__ELSE_EXPRESSION

  The feature id for the 'Else Expression' containment reference.

  See Also:
    Constant Field Values

### IF_EXP_FEATURE_COUNT

    static final int IF_EXP_FEATURE_COUNT

  The number of structural features of the 'If Exp' class.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP

    static final int NUMERIC_LITERAL_EXP

  The meta object id for the '`Numeric Literal Exp`' class.

  See Also:
    `NumericLiteralExpImpl`, `EcorePackageImpl.getNumericLiteralExp()`, Constant Field Values

### NUMERIC_LITERAL_EXP__EANNOTATIONS

    static final int NUMERIC_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__NAME

    static final int NUMERIC_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__ORDERED

    static final int NUMERIC_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__UNIQUE

    static final int NUMERIC_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__LOWER_BOUND

    static final int NUMERIC_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__UPPER_BOUND

    static final int NUMERIC_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__MANY

    static final int NUMERIC_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__REQUIRED

    static final int NUMERIC_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__ETYPE

    static final int NUMERIC_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__EGENERIC_TYPE

    static final int NUMERIC_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__START_POSITION

    static final int NUMERIC_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__END_POSITION

    static final int NUMERIC_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP_FEATURE_COUNT

    static final int NUMERIC_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Numeric Literal Exp' class.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP

    static final int INTEGER_LITERAL_EXP

  The meta object id for the '`Integer Literal Exp`' class.

  See Also:
    `IntegerLiteralExpImpl`, `EcorePackageImpl.getIntegerLiteralExp()`, Constant Field Values

### INTEGER_LITERAL_EXP__EANNOTATIONS

    static final int INTEGER_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__NAME

    static final int INTEGER_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__ORDERED

    static final int INTEGER_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__UNIQUE

    static final int INTEGER_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__LOWER_BOUND

    static final int INTEGER_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__UPPER_BOUND

    static final int INTEGER_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__MANY

    static final int INTEGER_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__REQUIRED

    static final int INTEGER_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__ETYPE

    static final int INTEGER_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__EGENERIC_TYPE

    static final int INTEGER_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__START_POSITION

    static final int INTEGER_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__END_POSITION

    static final int INTEGER_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__INTEGER_SYMBOL

    static final int INTEGER_LITERAL_EXP__INTEGER_SYMBOL

  The feature id for the 'Integer Symbol' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP_FEATURE_COUNT

    static final int INTEGER_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Integer Literal Exp' class.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP

    static final int UNLIMITED_NATURAL_LITERAL_EXP

  The meta object id for the '`Unlimited Natural Literal Exp`' class.

  See Also:
    `UnlimitedNaturalLiteralExpImpl`, `EcorePackageImpl.getUnlimitedNaturalLiteralExp()`, Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__EANNOTATIONS

    static final int UNLIMITED_NATURAL_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__NAME

    static final int UNLIMITED_NATURAL_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__ORDERED

    static final int UNLIMITED_NATURAL_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__UNIQUE

    static final int UNLIMITED_NATURAL_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__LOWER_BOUND

    static final int UNLIMITED_NATURAL_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__UPPER_BOUND

    static final int UNLIMITED_NATURAL_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__MANY

    static final int UNLIMITED_NATURAL_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__REQUIRED

    static final int UNLIMITED_NATURAL_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__ETYPE

    static final int UNLIMITED_NATURAL_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__EGENERIC_TYPE

    static final int UNLIMITED_NATURAL_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION

    static final int UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION

    static final int UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL

    static final int UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL

  The feature id for the 'Integer Symbol' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED

    static final int UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED

  The feature id for the 'Unlimited' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT

    static final int UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Unlimited Natural Literal Exp' class.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP

    static final int INVALID_LITERAL_EXP

  The meta object id for the '`Invalid Literal Exp`' class.

  See Also:
    `InvalidLiteralExpImpl`, `EcorePackageImpl.getInvalidLiteralExp()`, Constant Field Values

### INVALID_LITERAL_EXP__EANNOTATIONS

    static final int INVALID_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__NAME

    static final int INVALID_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__ORDERED

    static final int INVALID_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__UNIQUE

    static final int INVALID_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__LOWER_BOUND

    static final int INVALID_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__UPPER_BOUND

    static final int INVALID_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__MANY

    static final int INVALID_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__REQUIRED

    static final int INVALID_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__ETYPE

    static final int INVALID_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__EGENERIC_TYPE

    static final int INVALID_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__START_POSITION

    static final int INVALID_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__END_POSITION

    static final int INVALID_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP_FEATURE_COUNT

    static final int INVALID_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Invalid Literal Exp' class.

  See Also:
    Constant Field Values

### LOOP_EXP

    static final int LOOP_EXP

  The meta object id for the '`Loop Exp`' class.

  See Also:
    `LoopExpImpl`, `EcorePackageImpl.getLoopExp()`, Constant Field Values

### LOOP_EXP__EANNOTATIONS

    static final int LOOP_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### LOOP_EXP__NAME

    static final int LOOP_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__ORDERED

    static final int LOOP_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__UNIQUE

    static final int LOOP_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__LOWER_BOUND

    static final int LOOP_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__UPPER_BOUND

    static final int LOOP_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__MANY

    static final int LOOP_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__REQUIRED

    static final int LOOP_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__ETYPE

    static final int LOOP_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### LOOP_EXP__EGENERIC_TYPE

    static final int LOOP_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP__START_POSITION

    static final int LOOP_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__END_POSITION

    static final int LOOP_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__PROPERTY_START_POSITION

    static final int LOOP_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__PROPERTY_END_POSITION

    static final int LOOP_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__SOURCE

    static final int LOOP_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP__BODY

    static final int LOOP_EXP__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP__ITERATOR

    static final int LOOP_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

  See Also:
    Constant Field Values

### LOOP_EXP_FEATURE_COUNT

    static final int LOOP_EXP_FEATURE_COUNT

  The number of structural features of the 'Loop Exp' class.

  See Also:
    Constant Field Values

### ITERATE_EXP

    static final int ITERATE_EXP

  The meta object id for the '`Iterate Exp`' class.

  See Also:
    `IterateExpImpl`, `EcorePackageImpl.getIterateExp()`, Constant Field Values

### ITERATE_EXP__EANNOTATIONS

    static final int ITERATE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ITERATE_EXP__NAME

    static final int ITERATE_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__ORDERED

    static final int ITERATE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__UNIQUE

    static final int ITERATE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__LOWER_BOUND

    static final int ITERATE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__UPPER_BOUND

    static final int ITERATE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__MANY

    static final int ITERATE_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__REQUIRED

    static final int ITERATE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__ETYPE

    static final int ITERATE_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### ITERATE_EXP__EGENERIC_TYPE

    static final int ITERATE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP__START_POSITION

    static final int ITERATE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__END_POSITION

    static final int ITERATE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__PROPERTY_START_POSITION

    static final int ITERATE_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__PROPERTY_END_POSITION

    static final int ITERATE_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__SOURCE

    static final int ITERATE_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP__BODY

    static final int ITERATE_EXP__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP__ITERATOR

    static final int ITERATE_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

  See Also:
    Constant Field Values

### ITERATE_EXP__RESULT

    static final int ITERATE_EXP__RESULT

  The feature id for the 'Result' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP_FEATURE_COUNT

    static final int ITERATE_EXP_FEATURE_COUNT

  The number of structural features of the 'Iterate Exp' class.

  See Also:
    Constant Field Values

### ITERATOR_EXP

    static final int ITERATOR_EXP

  The meta object id for the '`Iterator Exp`' class.

  See Also:
    `IteratorExpImpl`, `EcorePackageImpl.getIteratorExp()`, Constant Field Values

### ITERATOR_EXP__EANNOTATIONS

    static final int ITERATOR_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ITERATOR_EXP__NAME

    static final int ITERATOR_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__ORDERED

    static final int ITERATOR_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__UNIQUE

    static final int ITERATOR_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__LOWER_BOUND

    static final int ITERATOR_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__UPPER_BOUND

    static final int ITERATOR_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__MANY

    static final int ITERATOR_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__REQUIRED

    static final int ITERATOR_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__ETYPE

    static final int ITERATOR_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP__EGENERIC_TYPE

    static final int ITERATOR_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP__START_POSITION

    static final int ITERATOR_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__END_POSITION

    static final int ITERATOR_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__PROPERTY_START_POSITION

    static final int ITERATOR_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__PROPERTY_END_POSITION

    static final int ITERATOR_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__SOURCE

    static final int ITERATOR_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP__BODY

    static final int ITERATOR_EXP__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP__ITERATOR

    static final int ITERATOR_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

  See Also:
    Constant Field Values

### ITERATOR_EXP_FEATURE_COUNT

    static final int ITERATOR_EXP_FEATURE_COUNT

  The number of structural features of the 'Iterator Exp' class.

  See Also:
    Constant Field Values

### LET_EXP

    static final int LET_EXP

  The meta object id for the '`Let Exp`' class.

  See Also:
    `LetExpImpl`, `EcorePackageImpl.getLetExp()`, Constant Field Values

### LET_EXP__EANNOTATIONS

    static final int LET_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### LET_EXP__NAME

    static final int LET_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### LET_EXP__ORDERED

    static final int LET_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### LET_EXP__UNIQUE

    static final int LET_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### LET_EXP__LOWER_BOUND

    static final int LET_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### LET_EXP__UPPER_BOUND

    static final int LET_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### LET_EXP__MANY

    static final int LET_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### LET_EXP__REQUIRED

    static final int LET_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### LET_EXP__ETYPE

    static final int LET_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### LET_EXP__EGENERIC_TYPE

    static final int LET_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### LET_EXP__START_POSITION

    static final int LET_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### LET_EXP__END_POSITION

    static final int LET_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### LET_EXP__IN

    static final int LET_EXP__IN

  The feature id for the 'In' containment reference.

  See Also:
    Constant Field Values

### LET_EXP__VARIABLE

    static final int LET_EXP__VARIABLE

  The feature id for the 'Variable' containment reference.

  See Also:
    Constant Field Values

### LET_EXP_FEATURE_COUNT

    static final int LET_EXP_FEATURE_COUNT

  The number of structural features of the 'Let Exp' class.

  See Also:
    Constant Field Values

### MESSAGE_EXP

    static final int MESSAGE_EXP

  The meta object id for the '`Message Exp`' class.

  See Also:
    `MessageExpImpl`, `EcorePackageImpl.getMessageExp()`, Constant Field Values

### MESSAGE_EXP__EANNOTATIONS

    static final int MESSAGE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_EXP__NAME

    static final int MESSAGE_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__ORDERED

    static final int MESSAGE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__UNIQUE

    static final int MESSAGE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__LOWER_BOUND

    static final int MESSAGE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__UPPER_BOUND

    static final int MESSAGE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__MANY

    static final int MESSAGE_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__REQUIRED

    static final int MESSAGE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__ETYPE

    static final int MESSAGE_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP__EGENERIC_TYPE

    static final int MESSAGE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP__START_POSITION

    static final int MESSAGE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__END_POSITION

    static final int MESSAGE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__PROPERTY_START_POSITION

    static final int MESSAGE_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__PROPERTY_END_POSITION

    static final int MESSAGE_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__TARGET

    static final int MESSAGE_EXP__TARGET

  The feature id for the 'Target' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP__ARGUMENT

    static final int MESSAGE_EXP__ARGUMENT

  The feature id for the 'Argument' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_EXP__CALLED_OPERATION

    static final int MESSAGE_EXP__CALLED_OPERATION

  The feature id for the 'Called Operation' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP__SENT_SIGNAL

    static final int MESSAGE_EXP__SENT_SIGNAL

  The feature id for the 'Sent Signal' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP_FEATURE_COUNT

    static final int MESSAGE_EXP_FEATURE_COUNT

  The number of structural features of the 'Message Exp' class.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP

    static final int NULL_LITERAL_EXP

  The meta object id for the '`Null Literal Exp`' class.

  See Also:
    `NullLiteralExpImpl`, `EcorePackageImpl.getNullLiteralExp()`, Constant Field Values

### NULL_LITERAL_EXP__EANNOTATIONS

    static final int NULL_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__NAME

    static final int NULL_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__ORDERED

    static final int NULL_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__UNIQUE

    static final int NULL_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__LOWER_BOUND

    static final int NULL_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__UPPER_BOUND

    static final int NULL_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__MANY

    static final int NULL_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__REQUIRED

    static final int NULL_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__ETYPE

    static final int NULL_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__EGENERIC_TYPE

    static final int NULL_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__START_POSITION

    static final int NULL_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__END_POSITION

    static final int NULL_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP_FEATURE_COUNT

    static final int NULL_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Null Literal Exp' class.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP

    static final int OPERATION_CALL_EXP

  The meta object id for the '`Operation Call Exp`' class.

  See Also:
    `OperationCallExpImpl`, `EcorePackageImpl.getOperationCallExp()`, Constant Field Values

### OPERATION_CALL_EXP__EANNOTATIONS

    static final int OPERATION_CALL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__NAME

    static final int OPERATION_CALL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__ORDERED

    static final int OPERATION_CALL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__UNIQUE

    static final int OPERATION_CALL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__LOWER_BOUND

    static final int OPERATION_CALL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__UPPER_BOUND

    static final int OPERATION_CALL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__MANY

    static final int OPERATION_CALL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__REQUIRED

    static final int OPERATION_CALL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__ETYPE

    static final int OPERATION_CALL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__EGENERIC_TYPE

    static final int OPERATION_CALL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__START_POSITION

    static final int OPERATION_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__END_POSITION

    static final int OPERATION_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__PROPERTY_START_POSITION

    static final int OPERATION_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__PROPERTY_END_POSITION

    static final int OPERATION_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__SOURCE

    static final int OPERATION_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__MARKED_PRE

    static final int OPERATION_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__ARGUMENT

    static final int OPERATION_CALL_EXP__ARGUMENT

  The feature id for the 'Argument' containment reference list.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__REFERRED_OPERATION

    static final int OPERATION_CALL_EXP__REFERRED_OPERATION

  The feature id for the 'Referred Operation' reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__OPERATION_CODE

    static final int OPERATION_CALL_EXP__OPERATION_CODE

  The feature id for the 'Operation Code' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_FEATURE_COUNT

    static final int OPERATION_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Operation Call Exp' class.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP

    static final int PROPERTY_CALL_EXP

  The meta object id for the '`Property Call Exp`' class.

  See Also:
    `PropertyCallExpImpl`, `EcorePackageImpl.getPropertyCallExp()`, Constant Field Values

### PROPERTY_CALL_EXP__EANNOTATIONS

    static final int PROPERTY_CALL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__NAME

    static final int PROPERTY_CALL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__ORDERED

    static final int PROPERTY_CALL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__UNIQUE

    static final int PROPERTY_CALL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__LOWER_BOUND

    static final int PROPERTY_CALL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__UPPER_BOUND

    static final int PROPERTY_CALL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__MANY

    static final int PROPERTY_CALL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__REQUIRED

    static final int PROPERTY_CALL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__ETYPE

    static final int PROPERTY_CALL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__EGENERIC_TYPE

    static final int PROPERTY_CALL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__START_POSITION

    static final int PROPERTY_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__END_POSITION

    static final int PROPERTY_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__PROPERTY_START_POSITION

    static final int PROPERTY_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__PROPERTY_END_POSITION

    static final int PROPERTY_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__SOURCE

    static final int PROPERTY_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__MARKED_PRE

    static final int PROPERTY_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__QUALIFIER

    static final int PROPERTY_CALL_EXP__QUALIFIER

  The feature id for the 'Qualifier' containment reference list.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__NAVIGATION_SOURCE

    static final int PROPERTY_CALL_EXP__NAVIGATION_SOURCE

  The feature id for the 'Navigation Source' reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__REFERRED_PROPERTY

    static final int PROPERTY_CALL_EXP__REFERRED_PROPERTY

  The feature id for the 'Referred Property' reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP_FEATURE_COUNT

    static final int PROPERTY_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Property Call Exp' class.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP

    static final int REAL_LITERAL_EXP

  The meta object id for the '`Real Literal Exp`' class.

  See Also:
    `RealLiteralExpImpl`, `EcorePackageImpl.getRealLiteralExp()`, Constant Field Values

### REAL_LITERAL_EXP__EANNOTATIONS

    static final int REAL_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__NAME

    static final int REAL_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__ORDERED

    static final int REAL_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__UNIQUE

    static final int REAL_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__LOWER_BOUND

    static final int REAL_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__UPPER_BOUND

    static final int REAL_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__MANY

    static final int REAL_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__REQUIRED

    static final int REAL_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__ETYPE

    static final int REAL_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__EGENERIC_TYPE

    static final int REAL_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__START_POSITION

    static final int REAL_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__END_POSITION

    static final int REAL_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__REAL_SYMBOL

    static final int REAL_LITERAL_EXP__REAL_SYMBOL

  The feature id for the 'Real Symbol' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP_FEATURE_COUNT

    static final int REAL_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Real Literal Exp' class.

  See Also:
    Constant Field Values

### STATE_EXP

    static final int STATE_EXP

  The meta object id for the '`State Exp`' class.

  See Also:
    `StateExpImpl`, `EcorePackageImpl.getStateExp()`, Constant Field Values

### STATE_EXP__EANNOTATIONS

    static final int STATE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### STATE_EXP__NAME

    static final int STATE_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__ORDERED

    static final int STATE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__UNIQUE

    static final int STATE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__LOWER_BOUND

    static final int STATE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__UPPER_BOUND

    static final int STATE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__MANY

    static final int STATE_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__REQUIRED

    static final int STATE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__ETYPE

    static final int STATE_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### STATE_EXP__EGENERIC_TYPE

    static final int STATE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### STATE_EXP__START_POSITION

    static final int STATE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__END_POSITION

    static final int STATE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__REFERRED_STATE

    static final int STATE_EXP__REFERRED_STATE

  The feature id for the 'Referred State' reference.

  See Also:
    Constant Field Values

### STATE_EXP_FEATURE_COUNT

    static final int STATE_EXP_FEATURE_COUNT

  The number of structural features of the 'State Exp' class.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP

    static final int STRING_LITERAL_EXP

  The meta object id for the '`String Literal Exp`' class.

  See Also:
    `StringLiteralExpImpl`, `EcorePackageImpl.getStringLiteralExp()`, Constant Field Values

### STRING_LITERAL_EXP__EANNOTATIONS

    static final int STRING_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__NAME

    static final int STRING_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__ORDERED

    static final int STRING_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__UNIQUE

    static final int STRING_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__LOWER_BOUND

    static final int STRING_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__UPPER_BOUND

    static final int STRING_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__MANY

    static final int STRING_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__REQUIRED

    static final int STRING_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__ETYPE

    static final int STRING_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__EGENERIC_TYPE

    static final int STRING_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__START_POSITION

    static final int STRING_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__END_POSITION

    static final int STRING_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__STRING_SYMBOL

    static final int STRING_LITERAL_EXP__STRING_SYMBOL

  The feature id for the 'String Symbol' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP_FEATURE_COUNT

    static final int STRING_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'String Literal Exp' class.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP

    static final int TUPLE_LITERAL_EXP

  The meta object id for the '`Tuple Literal Exp`' class.

  See Also:
    `TupleLiteralExpImpl`, `EcorePackageImpl.getTupleLiteralExp()`, Constant Field Values

### TUPLE_LITERAL_EXP__EANNOTATIONS

    static final int TUPLE_LITERAL_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__NAME

    static final int TUPLE_LITERAL_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__ORDERED

    static final int TUPLE_LITERAL_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__UNIQUE

    static final int TUPLE_LITERAL_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__LOWER_BOUND

    static final int TUPLE_LITERAL_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__UPPER_BOUND

    static final int TUPLE_LITERAL_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__MANY

    static final int TUPLE_LITERAL_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__REQUIRED

    static final int TUPLE_LITERAL_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__ETYPE

    static final int TUPLE_LITERAL_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__EGENERIC_TYPE

    static final int TUPLE_LITERAL_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__START_POSITION

    static final int TUPLE_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__END_POSITION

    static final int TUPLE_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__PART

    static final int TUPLE_LITERAL_EXP__PART

  The feature id for the 'Part' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP_FEATURE_COUNT

    static final int TUPLE_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Tuple Literal Exp' class.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART

    static final int TUPLE_LITERAL_PART

  The meta object id for the '`Tuple Literal Part`' class.

  See Also:
    `TupleLiteralPartImpl`, `EcorePackageImpl.getTupleLiteralPart()`, Constant Field Values

### TUPLE_LITERAL_PART__EANNOTATIONS

    static final int TUPLE_LITERAL_PART__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__NAME

    static final int TUPLE_LITERAL_PART__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__ORDERED

    static final int TUPLE_LITERAL_PART__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__UNIQUE

    static final int TUPLE_LITERAL_PART__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__LOWER_BOUND

    static final int TUPLE_LITERAL_PART__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__UPPER_BOUND

    static final int TUPLE_LITERAL_PART__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__MANY

    static final int TUPLE_LITERAL_PART__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__REQUIRED

    static final int TUPLE_LITERAL_PART__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__ETYPE

    static final int TUPLE_LITERAL_PART__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__EGENERIC_TYPE

    static final int TUPLE_LITERAL_PART__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__START_POSITION

    static final int TUPLE_LITERAL_PART__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__END_POSITION

    static final int TUPLE_LITERAL_PART__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__TYPE_START_POSITION

    static final int TUPLE_LITERAL_PART__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__TYPE_END_POSITION

    static final int TUPLE_LITERAL_PART__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__VALUE

    static final int TUPLE_LITERAL_PART__VALUE

  The feature id for the 'Value' containment reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__ATTRIBUTE

    static final int TUPLE_LITERAL_PART__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART_FEATURE_COUNT

    static final int TUPLE_LITERAL_PART_FEATURE_COUNT

  The number of structural features of the 'Tuple Literal Part' class.

  See Also:
    Constant Field Values

### TYPE_EXP

    static final int TYPE_EXP

  The meta object id for the '`Type Exp`' class.

  See Also:
    `TypeExpImpl`, `EcorePackageImpl.getTypeExp()`, Constant Field Values

### TYPE_EXP__EANNOTATIONS

    static final int TYPE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TYPE_EXP__NAME

    static final int TYPE_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__ORDERED

    static final int TYPE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__UNIQUE

    static final int TYPE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__LOWER_BOUND

    static final int TYPE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__UPPER_BOUND

    static final int TYPE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__MANY

    static final int TYPE_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__REQUIRED

    static final int TYPE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__ETYPE

    static final int TYPE_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### TYPE_EXP__EGENERIC_TYPE

    static final int TYPE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### TYPE_EXP__START_POSITION

    static final int TYPE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__END_POSITION

    static final int TYPE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__REFERRED_TYPE

    static final int TYPE_EXP__REFERRED_TYPE

  The feature id for the 'Referred Type' reference.

  See Also:
    Constant Field Values

### TYPE_EXP_FEATURE_COUNT

    static final int TYPE_EXP_FEATURE_COUNT

  The number of structural features of the 'Type Exp' class.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP

    static final int UNSPECIFIED_VALUE_EXP

  The meta object id for the '`Unspecified Value Exp`' class.

  See Also:
    `UnspecifiedValueExpImpl`, `EcorePackageImpl.getUnspecifiedValueExp()`, Constant Field Values

### UNSPECIFIED_VALUE_EXP__EANNOTATIONS

    static final int UNSPECIFIED_VALUE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__NAME

    static final int UNSPECIFIED_VALUE_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__ORDERED

    static final int UNSPECIFIED_VALUE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__UNIQUE

    static final int UNSPECIFIED_VALUE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__LOWER_BOUND

    static final int UNSPECIFIED_VALUE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__UPPER_BOUND

    static final int UNSPECIFIED_VALUE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__MANY

    static final int UNSPECIFIED_VALUE_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__REQUIRED

    static final int UNSPECIFIED_VALUE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__ETYPE

    static final int UNSPECIFIED_VALUE_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__EGENERIC_TYPE

    static final int UNSPECIFIED_VALUE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__START_POSITION

    static final int UNSPECIFIED_VALUE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__END_POSITION

    static final int UNSPECIFIED_VALUE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION

    static final int UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION

    static final int UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP_FEATURE_COUNT

    static final int UNSPECIFIED_VALUE_EXP_FEATURE_COUNT

  The number of structural features of the 'Unspecified Value Exp' class.

  See Also:
    Constant Field Values

### VARIABLE

    static final int VARIABLE

  The meta object id for the '`Variable`' class.

  See Also:
    `VariableImpl`, `EcorePackageImpl.getVariable()`, Constant Field Values

### VARIABLE__EANNOTATIONS

    static final int VARIABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### VARIABLE__NAME

    static final int VARIABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VARIABLE__ORDERED

    static final int VARIABLE__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### VARIABLE__UNIQUE

    static final int VARIABLE__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### VARIABLE__LOWER_BOUND

    static final int VARIABLE__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### VARIABLE__UPPER_BOUND

    static final int VARIABLE__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### VARIABLE__MANY

    static final int VARIABLE__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### VARIABLE__REQUIRED

    static final int VARIABLE__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### VARIABLE__ETYPE

    static final int VARIABLE__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### VARIABLE__EGENERIC_TYPE

    static final int VARIABLE__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### VARIABLE__START_POSITION

    static final int VARIABLE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__END_POSITION

    static final int VARIABLE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__TYPE_START_POSITION

    static final int VARIABLE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__TYPE_END_POSITION

    static final int VARIABLE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__INIT_EXPRESSION

    static final int VARIABLE__INIT_EXPRESSION

  The feature id for the 'Init Expression' containment reference.

  See Also:
    Constant Field Values

### VARIABLE__REPRESENTED_PARAMETER

    static final int VARIABLE__REPRESENTED_PARAMETER

  The feature id for the 'Represented Parameter' reference.

  See Also:
    Constant Field Values

### VARIABLE_FEATURE_COUNT

    static final int VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Variable' class.

  See Also:
    Constant Field Values

### VARIABLE_EXP

    static final int VARIABLE_EXP

  The meta object id for the '`Variable Exp`' class.

  See Also:
    `VariableExpImpl`, `EcorePackageImpl.getVariableExp()`, Constant Field Values

### VARIABLE_EXP__EANNOTATIONS

    static final int VARIABLE_EXP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### VARIABLE_EXP__NAME

    static final int VARIABLE_EXP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__ORDERED

    static final int VARIABLE_EXP__ORDERED

  The feature id for the 'Ordered' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__UNIQUE

    static final int VARIABLE_EXP__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__LOWER_BOUND

    static final int VARIABLE_EXP__LOWER_BOUND

  The feature id for the 'Lower Bound' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__UPPER_BOUND

    static final int VARIABLE_EXP__UPPER_BOUND

  The feature id for the 'Upper Bound' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__MANY

    static final int VARIABLE_EXP__MANY

  The feature id for the 'Many' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__REQUIRED

    static final int VARIABLE_EXP__REQUIRED

  The feature id for the 'Required' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__ETYPE

    static final int VARIABLE_EXP__ETYPE

  The feature id for the 'EType' reference.

  See Also:
    Constant Field Values

### VARIABLE_EXP__EGENERIC_TYPE

    static final int VARIABLE_EXP__EGENERIC_TYPE

  The feature id for the 'EGeneric Type' containment reference.

  See Also:
    Constant Field Values

### VARIABLE_EXP__START_POSITION

    static final int VARIABLE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__END_POSITION

    static final int VARIABLE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__REFERRED_VARIABLE

    static final int VARIABLE_EXP__REFERRED_VARIABLE

  The feature id for the 'Referred Variable' reference.

  See Also:
    Constant Field Values

### VARIABLE_EXP_FEATURE_COUNT

    static final int VARIABLE_EXP_FEATURE_COUNT

  The number of structural features of the 'Variable Exp' class.

  See Also:
    Constant Field Values

Method Detail

### getAnyType

    EClass getAnyType()

  Returns the meta object for class '`Any Type`'.

  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getBagType

    EClass getBagType()

  Returns the meta object for class '`Bag Type`'.

  Returns:
    the meta object for class 'Bag Type'.
  See Also:
    `BagType`

### getCollectionType

    EClass getCollectionType()

  Returns the meta object for class '`Collection Type`'.

  Returns:
    the meta object for class 'Collection Type'.
  See Also:
    `CollectionType`

### getElementType

    EClass getElementType()

  Returns the meta object for class '`Element Type`'.

  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`

### getInvalidType

    EClass getInvalidType()

  Returns the meta object for class '`Invalid Type`'.

  Returns:
    the meta object for class 'Invalid Type'.
  See Also:
    `InvalidType`

### getMessageType

    EClass getMessageType()

  Returns the meta object for class '`Message Type`'.

  Returns:
    the meta object for class 'Message Type'.
  See Also:
    `MessageType`

### getOrderedSetType

    EClass getOrderedSetType()

  Returns the meta object for class '`Ordered Set Type`'.

  Returns:
    the meta object for class 'Ordered Set Type'.
  See Also:
    `OrderedSetType`

### getPrimitiveType

    EClass getPrimitiveType()

  Returns the meta object for class '`Primitive Type`'.

  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getSequenceType

    EClass getSequenceType()

  Returns the meta object for class '`Sequence Type`'.

  Returns:
    the meta object for class 'Sequence Type'.
  See Also:
    `SequenceType`

### getSetType

    EClass getSetType()

  Returns the meta object for class '`Set Type`'.

  Returns:
    the meta object for class 'Set Type'.
  See Also:
    `SetType`

### getTupleType

    EClass getTupleType()

  Returns the meta object for class '`Tuple Type`'.

  Returns:
    the meta object for class 'Tuple Type'.
  See Also:
    `TupleType`

### getTypeType

    EClass getTypeType()

  Returns the meta object for class '`Type Type`'.

  Returns:
    the meta object for class 'Type Type'.
  See Also:
    `TypeType`

### getVoidType

    EClass getVoidType()

  Returns the meta object for class '`Void Type`'.

  Returns:
    the meta object for class 'Void Type'.
  See Also:
    `VoidType`

### getCallOperationAction

    EClass getCallOperationAction()

  Returns the meta object for class '`Call Operation Action`'.

  Returns:
    the meta object for class 'Call Operation Action'.
  See Also:
    `CallOperationAction`

### getCallOperationAction_Operation

    EReference getCallOperationAction_Operation()

  Returns the meta object for the reference '`Operation`'.

  Returns:
    the meta object for the reference 'Operation'.
  See Also:
    `CallOperationAction.getOperation()`, `getCallOperationAction()`

### getConstraint

    EClass getConstraint()

  Returns the meta object for class '`Constraint`'.

  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_Specification

    EReference getConstraint_Specification()

  Returns the meta object for the containment reference '`Specification`'.

  Returns:
    the meta object for the containment reference 'Specification'.
  See Also:
    `Constraint.getSpecification()`, `getConstraint()`

### getConstraint_ConstrainedElements

    EReference getConstraint_ConstrainedElements()

  Returns the meta object for the reference list '`Constrained Elements`'.

  Returns:
    the meta object for the reference list 'Constrained Elements'.
  See Also:
    `Constraint.getConstrainedElements()`, `getConstraint()`

### getConstraint_Stereotype

    EAttribute getConstraint_Stereotype()

  Returns the meta object for the attribute '`Stereotype`'.

  Returns:
    the meta object for the attribute 'Stereotype'.
  See Also:
    `Constraint.getStereotype()`, `getConstraint()`

### getSendSignalAction

    EClass getSendSignalAction()

  Returns the meta object for class '`Send Signal Action`'.

  Returns:
    the meta object for class 'Send Signal Action'.
  See Also:
    `SendSignalAction`

### getSendSignalAction_Signal

    EReference getSendSignalAction_Signal()

  Returns the meta object for the reference '`Signal`'.

  Returns:
    the meta object for the reference 'Signal'.
  See Also:
    `SendSignalAction.getSignal()`, `getSendSignalAction()`

### getExpressionInOCL

    EClass getExpressionInOCL()

  Returns the meta object for class '`Expression In OCL`'.

  Returns:
    the meta object for class 'Expression In OCL'.
  See Also:
    `ExpressionInOCL`

### getAssociationClassCallExp

    EClass getAssociationClassCallExp()

  Returns the meta object for class '`Association Class Call Exp`'.

  Returns:
    the meta object for class 'Association Class Call Exp'.
  See Also:
    `AssociationClassCallExp`

### getBooleanLiteralExp

    EClass getBooleanLiteralExp()

  Returns the meta object for class '`Boolean Literal Exp`'.

  Returns:
    the meta object for class 'Boolean Literal Exp'.
  See Also:
    `BooleanLiteralExp`

### getCallExp

    EClass getCallExp()

  Returns the meta object for class '`Call Exp`'.

  Returns:
    the meta object for class 'Call Exp'.
  See Also:
    `CallExp`

### getCollectionItem

    EClass getCollectionItem()

  Returns the meta object for class '`Collection Item`'.

  Returns:
    the meta object for class 'Collection Item'.
  See Also:
    `CollectionItem`

### getCollectionLiteralExp

    EClass getCollectionLiteralExp()

  Returns the meta object for class '`Collection Literal Exp`'.

  Returns:
    the meta object for class 'Collection Literal Exp'.
  See Also:
    `CollectionLiteralExp`

### getCollectionLiteralPart

    EClass getCollectionLiteralPart()

  Returns the meta object for class '`Collection Literal Part`'.

  Returns:
    the meta object for class 'Collection Literal Part'.
  See Also:
    `CollectionLiteralPart`

### getCollectionRange

    EClass getCollectionRange()

  Returns the meta object for class '`Collection Range`'.

  Returns:
    the meta object for class 'Collection Range'.
  See Also:
    `CollectionRange`

### getEnumLiteralExp

    EClass getEnumLiteralExp()

  Returns the meta object for class '`Enum Literal Exp`'.

  Returns:
    the meta object for class 'Enum Literal Exp'.
  See Also:
    `EnumLiteralExp`

### getFeatureCallExp

    EClass getFeatureCallExp()

  Returns the meta object for class '`Feature Call Exp`'.

  Returns:
    the meta object for class 'Feature Call Exp'.
  See Also:
    `FeatureCallExp`

### getIfExp

    EClass getIfExp()

  Returns the meta object for class '`If Exp`'.

  Returns:
    the meta object for class 'If Exp'.
  See Also:
    `IfExp`

### getIntegerLiteralExp

    EClass getIntegerLiteralExp()

  Returns the meta object for class '`Integer Literal Exp`'.

  Returns:
    the meta object for class 'Integer Literal Exp'.
  See Also:
    `IntegerLiteralExp`

### getUnlimitedNaturalLiteralExp

    EClass getUnlimitedNaturalLiteralExp()

  Returns the meta object for class '`Unlimited Natural Literal Exp`'.

  Returns:
    the meta object for class 'Unlimited Natural Literal Exp'.
  See Also:
    `UnlimitedNaturalLiteralExp`

### getInvalidLiteralExp

    EClass getInvalidLiteralExp()

  Returns the meta object for class '`Invalid Literal Exp`'.

  Returns:
    the meta object for class 'Invalid Literal Exp'.
  See Also:
    `InvalidLiteralExp`

### getIterateExp

    EClass getIterateExp()

  Returns the meta object for class '`Iterate Exp`'.

  Returns:
    the meta object for class 'Iterate Exp'.
  See Also:
    `IterateExp`

### getIteratorExp

    EClass getIteratorExp()

  Returns the meta object for class '`Iterator Exp`'.

  Returns:
    the meta object for class 'Iterator Exp'.
  See Also:
    `IteratorExp`

### getLetExp

    EClass getLetExp()

  Returns the meta object for class '`Let Exp`'.

  Returns:
    the meta object for class 'Let Exp'.
  See Also:
    `LetExp`

### getLiteralExp

    EClass getLiteralExp()

  Returns the meta object for class '`Literal Exp`'.

  Returns:
    the meta object for class 'Literal Exp'.
  See Also:
    `LiteralExp`

### getLoopExp

    EClass getLoopExp()

  Returns the meta object for class '`Loop Exp`'.

  Returns:
    the meta object for class 'Loop Exp'.
  See Also:
    `LoopExp`

### getMessageExp

    EClass getMessageExp()

  Returns the meta object for class '`Message Exp`'.

  Returns:
    the meta object for class 'Message Exp'.
  See Also:
    `MessageExp`

### getNavigationCallExp

    EClass getNavigationCallExp()

  Returns the meta object for class '`Navigation Call Exp`'.

  Returns:
    the meta object for class 'Navigation Call Exp'.
  See Also:
    `NavigationCallExp`

### getNullLiteralExp

    EClass getNullLiteralExp()

  Returns the meta object for class '`Null Literal Exp`'.

  Returns:
    the meta object for class 'Null Literal Exp'.
  See Also:
    `NullLiteralExp`

### getNumericLiteralExp

    EClass getNumericLiteralExp()

  Returns the meta object for class '`Numeric Literal Exp`'.

  Returns:
    the meta object for class 'Numeric Literal Exp'.
  See Also:
    `NumericLiteralExp`

### getOCLExpression

    EClass getOCLExpression()

  Returns the meta object for class '`OCL Expression`'.

  Returns:
    the meta object for class 'OCL Expression'.
  See Also:
    `OCLExpression`

### getOperationCallExp

    EClass getOperationCallExp()

  Returns the meta object for class '`Operation Call Exp`'.

  Returns:
    the meta object for class 'Operation Call Exp'.
  See Also:
    `OperationCallExp`

### getPrimitiveLiteralExp

    EClass getPrimitiveLiteralExp()

  Returns the meta object for class '`Primitive Literal Exp`'.

  Returns:
    the meta object for class 'Primitive Literal Exp'.
  See Also:
    `PrimitiveLiteralExp`

### getPropertyCallExp

    EClass getPropertyCallExp()

  Returns the meta object for class '`Property Call Exp`'.

  Returns:
    the meta object for class 'Property Call Exp'.
  See Also:
    `PropertyCallExp`

### getRealLiteralExp

    EClass getRealLiteralExp()

  Returns the meta object for class '`Real Literal Exp`'.

  Returns:
    the meta object for class 'Real Literal Exp'.
  See Also:
    `RealLiteralExp`

### getStateExp

    EClass getStateExp()

  Returns the meta object for class '`State Exp`'.

  Returns:
    the meta object for class 'State Exp'.
  See Also:
    `StateExp`

### getStringLiteralExp

    EClass getStringLiteralExp()

  Returns the meta object for class '`String Literal Exp`'.

  Returns:
    the meta object for class 'String Literal Exp'.
  See Also:
    `StringLiteralExp`

### getTupleLiteralExp

    EClass getTupleLiteralExp()

  Returns the meta object for class '`Tuple Literal Exp`'.

  Returns:
    the meta object for class 'Tuple Literal Exp'.
  See Also:
    `TupleLiteralExp`

### getTupleLiteralPart

    EClass getTupleLiteralPart()

  Returns the meta object for class '`Tuple Literal Part`'.

  Returns:
    the meta object for class 'Tuple Literal Part'.
  See Also:
    `TupleLiteralPart`

### getTypeExp

    EClass getTypeExp()

  Returns the meta object for class '`Type Exp`'.

  Returns:
    the meta object for class 'Type Exp'.
  See Also:
    `TypeExp`

### getUnspecifiedValueExp

    EClass getUnspecifiedValueExp()

  Returns the meta object for class '`Unspecified Value Exp`'.

  Returns:
    the meta object for class 'Unspecified Value Exp'.
  See Also:
    `UnspecifiedValueExp`

### getVariable

    EClass getVariable()

  Returns the meta object for class '`Variable`'.

  Returns:
    the meta object for class 'Variable'.
  See Also:
    `Variable`

### getVariableExp

    EClass getVariableExp()

  Returns the meta object for class '`Variable Exp`'.

  Returns:
    the meta object for class 'Variable Exp'.
  See Also:
    `VariableExp`

### getEcoreFactory

    EcoreFactory getEcoreFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.